# -*- Mode: rpm-spec -*-
# 	$Id: kernel-2.4.spec,v 1.1 2001/08/20 09:14:09 chmou Exp chmou $	

%define sublevel 8
%define release 26mdk

# If you have the need to touch any of this something is very wrong with our
# numbering scheme
# FixMe:  
#   Why the hell we can't do a s/%kversion/%version/ as the rest of 
#   the packages?  
#      by the unexplained mysteries of the rpm.

%define kversion 2.4.%{sublevel}
%define KVERREL %{kversion}-%{release}

%define ac_version 12
%define pcmcia_ver 3.1.29
%define alsa_ver 0.5.11
%define i2c_ver	2.6.0
%define lm_sensors_ver 2.6.1
%define ipsec_ver 1.91
%define jfs_ver 1.0.5
%define ipvs_ver 0.9.3
%define xfs_ver 09052001

%define build_up 1
%define build_smp 1
%define build_enterprise 1

%define build_80 0 
%define build_boot 0
%define build_kgcc 0
%define build_kdb 0
%define build_pcmcia 0

%ifarch %{ix86} ppc
%define build_pcmcia 1
%endif

%ifarch %{ix86}
%define build_enterprise 1
%endif

# End of user definitions
%{?_without_up: %{expand: %%define build_up 0}}
%{?_without_smp: %{expand: %%define build_smp 0}}
%{?_without_enterprise: %{expand: %%define build_enterprise 0}}
%{?_without_kgcc: %{expand: %%define build_kgcc 0}}
%{?_without_kdb: %{expand: %%define build_kgcc 0}}
%{?_with_up: %{expand: %%define build_up 1}}
%{?_with_smp: %{expand: %%define build_smp 1}}
%{?_with_enterprise: %{expand: %%define build_enterprise 1}}
%{?_with_kgcc: %{expand: %%define build_kgcc 1}}
%{?_with_kdb: %{expand: %%define build_kdb 1}}

%{?_with_80: %{expand: %%define build_80 1}}
%{?_with_BOOT: %{expand: %%define build_boot 1}}

# if you want to compile with other nice compiler, change the definition of
# the second kgcc

%if %{build_kgcc}
%define KCC /usr/bin/kgcc
%else
%define KCC /usr/bin/gcc
%endif

%define kmake %make CC=%{KCC}

%define alsa_name alsa-driver-%{alsa_ver}
%define pcmcia_name pcmcia-cs-%{pcmcia_ver}
%define i2c_name i2c-%{i2c_ver}
%define lm_sensors_name lm_sensors-%{lm_sensors_ver}
%define freeswan_name freeswan-%{ipsec_ver}

Summary: The Linux kernel (the core of the Linux operating system).
Name: kernel
Version: %{kversion}
Release: %{release}
License: GPL
Group: System/Kernel and hardware
ExclusiveArch: %{ix86} alpha sparc sparc64 ppc
ExclusiveOS: Linux

####################################################################
#
# Sources
#
Source0: ftp://ftp.kernel.org/pub/linux/kernel/v2.4/linux-%{kversion}.tar.bz2
Source1: http://prdownloads.sourceforge.net/pcmcia-cs/%{pcmcia_name}.tar.bz2
Source4: README.kernel-sources
Source7: ftp://ftp.alsa-project.org/pub/driver/%{alsa_name}.tar.bz2
Source8: ftp://ftp.xs4all.nl/pub/crypto/freeswan/%{freeswan_name}.tar.bz2
Source9: http://www.lm-sensors.nu/archive/%{lm_sensors_name}.tar.bz2
Source3: http://www.lm-sensors.nu/archive/%{i2c_name}.tar.bz2

Source13: rhkmvtag.c
Source14: kernel-2.4-BuildASM.sh
Source15: linux-mdkconfig.h
Source16: linux-merge-config.awk
Source17: linux-merge-modules.awk
Source18: boot_logo.ppm.bz2

Source20: kernel-%{kversion}-i586.config
Source21: kernel-%{kversion}-i586-enterprise.config
Source22: kernel-%{kversion}-alpha.config
Source23: kernel-%{kversion}-ppc.config

Source26: kernel-%{kversion}-i586-BOOT.config

# Script for start sensord
Source30: lm_sensors-2.5.5-sensors

# Mini README for supermount
Source31: supermount.README

# 3rd party sources
# intel e100 driver 
# ftp://download.intel.com/df-support/2749/eng/e100-1.6.6.tar.gz
Source100: 3rdparty-e100-1.6.5.tar.bz2
# intel e1000 driver 
# ftp://download.intel.com/df-support/2751/eng/e1000-3.0.10.tar.gz
Source101: 3rdparty-e1000-3.0.10.tar.bz2
# usb Logitek Quickcam  (mod_quickcam) http://qce-ga.sourceforge.net/
Source102: 3rdparty-qce-ga-cvs.tar.bz2
# Broadcom BCM5700
Source103: 3rdparty-bcm5700-1.4.5.tar.bz2
# Tekram dc395 SCSI http://www.garloff.de/kurt/linux/dc395/
Source104: 3rdparty-dc395x_trm-1.32.tar.bz2
# Sam 9407 soundcards http://sam9407.sourceforge.net/x
Source105: 3rdparty-sam9407-1.0.0.tar.bz2

# pcmcia-cs sourecs, they will eventually move to its own package
Source1000: pcmcia-cs-3.1.27-network.script
Source1001: pcmcia-cs-3.1.25-sysconfig-pcmcia
Source1002: pcmcia-cs-3.1.27-isdn.script

####################################################################
#
# Patches
#

# Add Crypto IP Encapsulation
Patch10: linux-2.4.6-ac1-cipe-1.4.5.patch.bz2
Patch12: linux-2.4.2-ac28-cipefix.patch.bz2

# Fix sparc vga
Patch14: linux-2.3.99p3p6-sparc.patch.bz2

# USEIO in eepro driver
Patch15: linux-2.2.16-useio.patch.bz2

# Upgrade QLA drivers
Patch17: linux-2.4.8-ac7-qla1280-update.patch.bz2 

# Fix alpha includes
Patch18: linux-2.4.2-ac20-alpha-include.patch.bz2

# Upgrade ide-floppy
Patch20: linux-2.4.7-ac1-ide-floppy.patch.bz2

# Skip broken mp table for
Patch24: linux-2.4.2-ac20-brokenmptable.patch.bz2

# Fix i2o lockup
Patch26: linux-2.4.2-ac20-i2o-lockup.patch.bz2

# Don't printk when	polling CDROMs for disk change
Patch29: linux-2.4.2-ac20-quiet-cdrom.patch.bz2

# Add scci reset support
Patch30: linux-2.4.2-ac20-scsi-reset.patch.bz2

# Up some pcmcia delay.
Patch31: linux-2.4.2-ac20-setup_delay.patch.bz2

# Adding a fix for usb-uhci to work when SLAB is not aligned
Patch32: linux-2.4.2-ac20-uhci-slab.patch.bz2

# Add alternate airo devices drivers
Patch33: linux-2.4.2-ac20-alternateairo.patch.bz2

# Add an iotcl to block sector for ia64.
Patch35: linux-2.4.4-ac3-blkioctl-sector.patch.bz2

# Fix ext2 info errors.
Patch37: linux-2.4.6-ac1-hexblocknumbers.patch.bz2

# Revert some bogus changes to lp-parport.
Patch39: linux-2.4.4-ac3-lp-parport-revert.patch.bz2

# Add multipath for raid.
Patch40: linux-2.4.8-ac12-multipath.patch.bz2
Patch41: linux-2.4.2-ac20-multipath-export.patch.bz2
Patch43: linux-2.4.6-ac1-multipath-md_error-fix.patch.bz2

# Fix pge Config.in description
Patch42: linux-2.4.2-ac20-pge.patch.bz2

# Add sard profiling patch
Patch44: linux-2.4.7-ac1-sard.patch.bz2

# Fix lm_sensors installation
Patch100: lm_sensors-2.5.5-fix-install.patch.bz2

# Fix lm_sensors to include sensord
Patch102: lm_sensors-2.5.5-fix-build-sensord.patch.bz2

# PCMCIA patches
Patch150: pcmcia-cs-3.1.21-script.patch.bz2
Patch151: pcmcia-cs-3.1.3-3com.patch.bz2
Patch152: pcmcia-cs-3.1.21-config.patch.bz2
Patch153: pcmcia-cs-3.1.26-wireless.patch.bz2
Patch154: linux-2.4.0-pcmcia-3.1.23-cp-force.patch.bz2
Patch155: linux-2.4.3-ac3-gz-module.patch.bz2
Patch156: linux-2.4.3-ac3-pcmcia-rc-early.patch.bz2
Patch157: pcmcia-cs-3.1.27-spectrum-2.4t.patch.bz2
patch158: pcmcia-cs-3.1.28-ibmtr_compile_fix.patch.bz2
Patch159: pcmcia-cs-3.1.27-Configure-fix.patch.bz2
Patch160: pcmcia-cs-3.1.28-updfstab.patch.bz2
Patch162: pcmcia-cs-3.1.28-xircom.patch.bz2
Patch164: pcmcia-cs-3.1.27-ohci_update.patch.bz2
Patch165: pcmcia-cs-3.1.28-pcilynx_compile_fix.patch.bz2
Patch166: pcmcia-cs-3.1.29-8139too_cb.patch.bz2

###### Mandrake: (begin from 300) #################################
# ide-cd fix
Patch303: linux-2.4.5-ac5-ide-cd-fix.patch.bz2

# Add mediactl support, needed by supermount
Patch304: linux-2.4.8-ac12-mediactl-0.0.3.patch.bz2

# Add new stat implementation, needed by supermount
Patch305: linux-2.4.8-ac12-new_stat.patch.bz2

# Add supermount from: http://www.geocities.com/alexismikhailov/
Patch306: linux-2.4.8-ac12-supermount-0.7.7.patch.bz2

# Make install use our features of our special installkernel
Patch320: linux-2.4.1-ac11-installkernel-a.patch.bz2

# Add upgrade of nfs for 2.4.0
Patch331: linux-2.4.0-ping.patch.bz2

# Upgrade swap limit to 32.
Patch347: linux-2.4.1-ac3-upgrade-swap-limit.patch.bz2

# Upgrade qlogic drivers.
Patch348: linux-2.4.8-ac7-qla2x00-2.19.15.patch.bz2

# 3c90x drivers
Patch349: linux-2.4.1-ac4-3c90x.patch.bz2

# e820 (ACPI) support
Patch351: linux-2.4.1-ac4-e820.patch.bz2

# Raid5xor
Patch356: linux-2.4.1-ac4-raid5xor.patch.bz2

# Accraid support
Patch358: linux-2.4.7-ac1-aacraid.patch.bz2

# Fix bad udelay with wavelan
Patch359: linux-2.4.1-ac4-wavelan-udelay.patch.bz2

# Fix modules with atyfb
Patch364: linux-2.4.2-ac16-aty-modules.patch.bz2

# IPSEC config support
Patch401: linux-2.4.1-ac19-ipsec-config-1.8.patch.bz2

# Fix include with the symlinks mess
Patch402: linux-2.2.1-ac19-fix-ipsec-include.patch.bz2

# Fix debug info 
Patch403: freeswan-1.91-fix-debug.patch.bz2

# SuSe patches
# Add the TIOCGDEV ioctl
Patch411: linux-2.4.2-ac20-TIOCGDEV.patch.bz2

# Fix Config files with CONFIG_X86_RUNTIME_FXSR
Patch412: linux-2.4.2-ac20-FXSR_686.patch.bz2

# Add progress indication when decompressing ramdisk
Patch414: linux-2.4.2-ac20-rd-progress.patch.bz2

# Support for Xircom PGSDB9
Patch421: linux-2.4.8-ac12-xircom-pgsdb9.patch.bz2

## New patches from Neil Brown:
## http://www.cse.unsw.edu.au/~neilb/patches/linux/2.4.3-pre6/

# Relax nfs export rules for exporting children and parents
# Without this patch you cannot export a parent and a child
# on the same filesystem.
# With this patch you can as long as the parent has more restrictive
# options and the child does not have no_subtree_check
Patch450: linux-2.4.3-ac12-nfsexp.patch.bz2

# Second version of raid5 plugging.  Untested
# Make sure all raid5 IO requests are properly aligned.
# XFS, and LVM can make non-aligned requests (I think).
# These do not work with raid5 :-)
# This patch generates early warnings of problems.
Patch456: linux-2.4.3-ac12-r5align.patch.bz2

# Support for isdn olitec cards
Patch476: linux-2.4.3-isdn-olitec-gazel.patch.bz2

# Add boot logo patches
Patch481: linux-2.4.3-mdk-bootlogo.patch.bz2
Patch488: linux-2.4.3-ac3-bootlogo-leave-message.patch.bz2
Patch489: linux-2.4.3-ac4-nologo.patch.bz2
Patch490: linux-2.4.7-ac5-bootlogo_with_version.patch.bz2

# Add MODULE_DEVICE_TABLE for USB detection.
Patch484: linux-2.4.3-usb-module_device_table.patch.bz2

# Fix ATM.
Patch485: linux-2.4.8-ac2-atm-fixes.patch.bz2

# Sym53c8xx fixes from sun.
Patch486: linux-2.4.8-ac7-sym53c8xx-fixes.patch.bz2

# Check Overflow (security fixes).
Patch501: linux-2.4.8-ac12-overflow.patch.bz2

# No debug for highmem.
Patch502: linux-2.4.0-ac12-nohighmemdebug.patch.bz2

#503 is emu10k1-passthougt
#505 is emu10k1-mmap-fixes

# http://tw98.sourceforge.net/
Patch505: linux-2.4.5-ac13-driver-tw98_0.1.patch.bz2

# fix an off by one error that results in memory overwrites
Patch506: linux-2.4.3-ac4-bootmem.patch.bz2

# Silence PS/2 code (no keyboard there if there is a USB keyboard)
Patch507: linux-2.4.3-ac13-keyboardsilence.patch.bz2

# Add id for NEC Picty900 (HP OEM) (USB printer).
Patch508: linux-2.4.8-ac2-nec-picty900-printer.patch.bz2

# panic on oom during boot
Patch509: linux-2.4.3-ac4-bootmem_oom.patch.bz2

# Add mulipath-fixes from Ingo Molnar
Patch511: linux-2.4.6-ac1-multipath-fixes-2.patch.bz2

# make scanning of sparselun devices work again
Patch512: linux-2.4.3-ac4-scsi_scan.patch.bz2

# Add USB message throttling
Patch516: linux-2.4.4-ac11-usbthrottle.patch.bz2

# fix printk in scsci messages
Patch517: linux-2.4.3-ac4-usb-scsiglue.patch.bz2

# Usbvision drivver 0.3.1-test2  http://www.emuit.com/drivers/
Patch520: linux-2.4.8-ac12-usbvision.patch.bz2

# De-patch some patches for PPC build
Patch523: linux-2.4.3-rev-p30-ppc.patch.bz2

# lm_sensors fails on PPC on i810, voodoo, isadump
Patch524: linux-2.4.6-lm_sensors-ppc.patch.bz2
 
# ReiserFS patches for PPC - had to modify original patches from
# jeffm to fit in with previous Reiser patches above
Patch526: endian-safe-reiserfs-for-2.4.6-pre8.patch.bz2

# no aero.o aero_cs.o - PPC  
Patch529: pcmcia-cs-3.1.2x-no-aero-ppc.patch.bz2

# patch ppc_ksyms, vt.c, pc_keyb.c, sl82c105.c, Makefile
Patch530: linux-2.4.6-misc-ppc.patch.bz2

# Change usbvision device map
Patch602: linux-2.4.5-ac13-usbvision-device-map.patch.bz2

# 1000 Series: Core functionality
# Alan Cox ftp://ftp.kernel.org/pub/linux/kernel/people/alan/linux-2.4/%{kversion}
Patch1000: patch-%{kversion}-ac%{ac_version}.bz2
# kernel debugger ftp://oss.sgi.com/projects/kdb/download/ix86
Patch1001: linux-2.4.8-ac12-kdb-v1.8.patch.bz2
# kernel autoconfiguration (gets the .config of the running kernel)
Patch1002: linux-2.4.5-ac15-autoconf.patch.bz2
# Add IRC netfilter irc addon.
# Generated from the iptables 1.2.2 package
# with patch-o-matic
# you need dropped table for irc-nat
Patch1003: linux-2.4.5-ac15-netfilter-dropped-table.patch.bz2
Patch1004: linux-2.4.5-ac15-netfilter-irc-nat.patch.bz2
# scsimon http://www.torque.net/scsi/scsimon.html
Patch1005: linux-2.4.7-ac1-scsimon-2.4.3-1.patch.bz2

# VLAN patches: http://scry.wanfear.com/~greear/vlan.html
Patch1006: linux-2.4.8-ac7-vlan-1.4.patch.bz2

# 3rd Party patches (jgarzik creature)
# It is supposed that all the simple standalone patchs to go there
# See the definition of simple is Documentation/3rdparty.txt
# Patches begin at 2100 to let space for 3rdparty improvements
Patch2000: linux-2.4.7-ac4-3rdparty.patch.bz2
# dc395x_trm cpp fixes
Patch2001: 3rdparty-dc395x_trm-1.32-cpp-fixes.patch.bz2
# bcm5700 fixes for get it to compile
Patch2002: 3rdparty-bcm5700-1.4.5-gcc-fixes.patch.bz2

# Updates to existing drivers
# iforce update
Patch3000: linux-2.4.5-ac13-iforce.update.patch.bz2
# kaweth fix
Patch3001: linux-2.4.5-ac15-kaweth-fix.patch.bz2
# du-e100
Patch3002: linux-2.4.6-ac2-du-e100.support.patch.bz2
# Silicon U2E
Patch3003: linux-2.4.6-ac2-silicom-u2e.support.patch.bz2
# Upgrade lanstreamer tokernring driver
Patch3004: linux-2.4.7-ac10-lanstreamer-update.patch.bz2
# aic7xx rebuild firmware fixes.
Patch3014: linux-2.4.7-ac2-fix-rebuild-aic7xx-firmware.patch.bz2
# buffermem_pages SYMTAB already exported with the ipvs patch in
# kernel/ksym.c
Patch3015: linux-2.4.7-ac4-buffermem_pages-exported.patch.bz2
# kdb fixes
Patch3016: linux-2.4.8-ac12-kdb.fix.patch.bz2
# fix kpnpbios <defunct>
Patch3017: linux-2.4.8-ac12-reparent_to_init.patch.bz2
# Upgrade wacom driver (flpeied)
Patch3018: linux-2.4.8-ac12-wacom-update.patch.bz2

# New drivers put inside the kernel
# Upgrade to the last ipvs patch
Patch4001: linux-2.4.6-ac1-ipvs.patch.bz2
# Fix ipvs compile
Patch4002: linux-2.4.2-ac28-ipvs-compile-fix.patch.bz2

# JFS file system: http://oss.software.ibm.com/developerworks/opensource/jfs/
Patch4005: linux-2.4.8-ac12-jfs-%{jfs_ver}-shared.patch.bz2
Patch4006: linux-2.4.8-ac12-jfs-%{jfs_ver}-common.patch.bz2

# emu10k1 driver upgrade to get the ac3 sound update.
Patch4007: linux-2.4.8-ac12-emu10k1-update.patch.bz2

# Juha Rjola's AC3 Passthrough for SMP kernels
Patch503: linux-2.4.8-ac1-ac3-passthrough.patch.bz2

# Fix mmap in emu10k1 new driver
Patch504: linux-2.4.8-ac12-emu10k1-mmap-fixes.patch.bz2

# Linux Virtual Server latest version
Patch4008: linux-2.4.8-ac12-ipvs-%{ipvs_ver}.patch.bz2 

# bcm5820 support patch taken from Red Hat RPM.
Patch4010: linux-2.4.7-ac7-bcm5820.patch.bz2
Patch4011: linux-2.4.7-ac7-bcm5820-2.patch.bz2

# Make APIC quiet
Patch4012: linux-2.4.8-ac3-apic-quiet.patch.bz2

# created 'noathlon' DMI blacklist entry for MSI MS-6330 motherboards
Patch4013: linux-2.4.8-ac12-noathlon.patch.bz2

# Add more sound blaster id
Patch4014: linux-2.4.8-ac3-sb_id.patch.bz2

# Use PNP_BIOS for parport only if compiled as modules
Patch4015: linux-2.4.8-ac3-parportpnp.patch.bz2

# fix oops in NFS code
Patch4016: linux-2.4.8-ac12-nfsoops.patch.bz2

# Add Iscsi Card support
Patch4017: linux-2.4.8-ac3-iscsi.patch.bz2

# Reduce the kernel
Patch4018: linux-2.4.8-ac5-config-small.patch.bz2

# Make ext3 log in syslog.
Patch4019: linux-2.4.8-ac7-ext3-debug.patch.bz2

# added uptodate ext3 code from the ext3 abort-handle-branch
# to handle taking the filesystem offline/readonly on fatal error
# cleanly.
Patch4020: linux-2.4.8-ac12-ext3-abort.patch.bz2

# Fix NFS_STALE handling
Patch4021: linux-2.4.8-ac12-nfs-stale.patch.bz2

# Make the maximum init env bigger
Patch4022: linux-2.4.8-ac7-numargs.patch.bz2

# force MPTABLE parsing on defective Intel bioses
Patch4023: linux-2.4.8-ac7-dellmptable.patch.bz2

# Fix elevator hang
Patch4024: linux-2.4.8-ac7-ioqueue.patch.bz2

# Be more strict about the pdcraid signature
Patch4025: linux-2.4.8-ac7-pdcraid.patch.bz2

# Allow VFAT exports over NFS (neilb).
Patch4026: linux-2.4.8-ac7-vfatnfs.patch.bz2

# Make the scsi timeout longer
Patch4027: linux-2.4.8-ac7-scsitimeout.patch.bz2

# NFS reclaim that fix nfs going on zombie
Patch4028: linux-2.4.8-ac12-nfs-reclaim.patch.bz2

# Add ethtool for acenic and eepro (TODO: other mdk/net drivers).
Patch4029: linux-2.4.8-ac7-ethtool.patch.bz2

# Make the kernel shut up when there is no PSAUX keyboard (think usb)
Patch4030: linux-2.4.8-ac7-keyboardsilence.patch.bz2

# Cramfs fixes
Patch4031: linux-2.4.8-ac7-cramfs.patch.bz2

# Make oom killer less trigger happy
Patch4032: linux-2.4.8-ac7-oomavoidance.patch.bz2

# Patch the triplelock
Patch4033: linux-2.4.8-ac7-triplelock.patch.bz2

# When there is no PS2 mouse don't freeze the keyboard under X
Patch4034: linux-2.4.8-ac8-nops2mouse.patch.bz2

# improve reiserfs block allocator when free space is low
Patch4035: linux-2.4.8-ac12-reiserfs-blockalloc-for-disk-90pfull.patch.bz2

# adds missing call to pathrelse() to error path
Patch4036: linux-2.4.8-ac12-pathrelse.patch.bz2

# Revert devfs from ac
Patch4500: linux-2.4.8-ac9-devfs-revert.patch.bz2

# # Upgrade to latest devfs
Patch4501: linux-2.4.8-ac12-devfs-v191.patch.bz2

# Revert the sd many option of devfs patch it broke USB-storage
Patch4502: linux-2.4.8-ac12-sd-many-revert.patch.bz2

# Add support for dynamic disks (K.Flemming).
Patch4503: linux-2.4.8-ac12-devfs-dynamic-disk.patch.bz2

# Upgrade to 2.4.9-ac4 i810_audio driver
Patch4505: linux-2.4.8-ac12-i810_update.patch.bz2

# Upgrade to 2.4.9-ac4 ac97_codec (need by i810_audio update).
Patch4506: linux-2.4.8-ac12-ac97_codec-2.4.9-ac7.patch.bz2

# Upgrade to latest USB fixes (kaweth/pegasus/se401/visor/usb-uhci) from 2.4.9-ac5
Patch4507: linux-2.4.8-ac12-usb-2.4.9-ac5.patch.bz2

# Upgrade to latest USB storage
Patch4508: linux-2.4.8-ac12-usb-storage-update.patch.bz2

# Fix eUSB-SmartMedia device
Patch4509: linux-2.4.8-ac12-eUSB-SmartMedia-fixes.patch.bz2

# Add support for ide-floppy with devfs
Patch4510: linux-2.4.8-ac12-ide-floppy-devfs.patch.bz2

# BINFMT Fixes from jakub@redhat.com
Patch4511: linux-2.4.8-ac12-binfm_elf-fixes.patch.bz2

# fix i386 SMP interrupts that can corrupt registers
Patch4512: linux-2.4.8-ac12-hw-irq-smp-corrupted.patch.bz2

# Se401 usb driver update
Patch4513: linux-2.4.8-ac12-se401-update.patch.bz2

# Fix scsi removable disk (eg: USB scsi DSC-S30 camera).
Patch4514: linux-2.4.8-ac12-scsi-removable.patch.bz2

# Upgrade to latest firewire fixes from cvs.
Patch4515: linux-2.4.8-ac12-firewire-update.patch.bz2

# Correct Dell cable detection
Patch4516: linux-2.4.8-ac12-cable-detection-fixes.patch.bz2

# gdth update
Patch4517: linux-2.4.8-ac12-gdth_update.patch.bz2

# Tulip downgrade
Patch4518: linux-2.4.8-ac12-tulip-2.4.3-downgrade.patch.bz2

# NTFS upgrade
Patch4520: linux-2.4.8-ac12-ntfs-1.1.18.patch.bz2

# Bluesmoke detection fixes
Patch4521: linux-2.4.8-ac12-bluesmoke-detection.patch.bz2

# Parse /proc/fs/nfs/exports like does /proc/mounts (which allow
# mountpoint with space)
Patch4522: linux-2.4.8-ac12-nfs-client-update.patch.bz2

# Parse mainboard resources inline to pnp not as pci_device
# objects. (G.Knorr)
Patch4523: linux-2.4.8-ac12-pnp-bios-fixes.patch.bz2

# Register the lowlevel ieee1394 driver to the subsystem.
Patch4524: linux-2.4.8-ac12-iee1394-fixes.patch.bz2

# Fix reparent children in nfsd
Patch4525: linux-2.4.8-ac12-fix-parent-reclaim.patch.bz2

# Fix process reporting crashing sigbus when is sigsev
Patch4526: linux-2.4.8-ac12-wrong-sigbus.patch.bz2

# NTFS 1.1.19 fixes 
Patch4528: linux-2.4.8-ac12-ntfs-fixes.patch.bz2

# PWC usb driver upgrade to 8.2.
Patch4529: linux-2.4.8-ac12-pwc-8.2.patch.bz2

# Radeon fixes (S.Tweedie)
Patch4530: linux-2.4.8-ac12-radeon-fixes.patch.bz2

# Register usb core after hid
Patch4531: linux-2.4.8-ac12-usb-register-after-hiddev.patch.bz2

# IRDA Fixes
Patch4550: linux-2.4.8-ac12-irda-usb-fixes.patch.bz2
Patch4551: linux-2.4.8-ac12-irda-usb-reorg.patch.bz2
Patch4552: linux-2.4.8-ac12-irda-disco-fixes.patch.bz2
Patch4553: linux-2.4.8-ac12-irda-hw-name.patch.bz2
Patch4554: linux-2.4.8-ac12-irda-ias-fixes.patch.bz2
Patch4555: linux-2.4.8-ac12-irda-irnet-nodelay.patch.bz2
Patch4556: linux-2.4.8-ac12-irda-lap-keepalive.patch.bz2
Patch4557: linux-2.4.8-ac12-irda-sk-free.patch.bz2

#XFS
Patch4600: linux-2.4.8-ac12-core-xfs-%{xfs_ver}.patch.bz2
Patch4601: linux-2.4.8-ac12-xfs-%{xfs_ver}.patch.bz2

# Alsa patches
Patch5000: alsa-driver-0.5.11-compile-fix.patch.bz2 
# fixes #ifdef BLAH and (blah, ##bloh)
Patch5001: alsa-driver-0.5.11-compile-fix2.patch.bz2 

# Boot Patches
Patch10000: linux-2.4.7-ac7-BOOT.patch.bz2

#END
####################################################################

# Defines for the things that are needed for all the kernels
%if %build_80
%define requires modutils >= 2.4.3-2mdk
%else
%define requires modutils >= 2.4.3-2mdk, devfsd
%define prereq initscripts >= 5.83-4mdk
%endif
%define provides kernel = %{kversion}, alsa

BuildRoot: %{_tmppath}/%{name}-%{kversion}-build
Provides: module-info, %provides
Autoreqprov: no
%if !%build_80
Prereq: %prereq
%endif
Requires: %requires
Obsoletes: alsa, hackkernel
BuildRequires: libbinutils2-devel, bison
%if %build_80
BuildRequires: libgr1, libgr1-devel
%else
BuildRequires: netpbm, libnetpbm-devel
%endif
%if %{build_kgcc}
BuildRequires: egcs, egcs-cpp
%else
BuildRequires: gcc, gcc-cpp
%endif

%description
The kernel package contains the Linux kernel (vmlinuz), the core of your
Linux Mandrake operating system.  The kernel handles the basic functions
of the operating system:  memory allocation, process allocation, device
input and output, etc.

#
# kernel-smp: Symmetric MultiProcessing kernel
#

%package smp
Summary: The Linux Kernel compiled for SMP machines.
Group: System/Kernel and hardware
Provides: %provides, kernel-smp-fb
Obsoletes: kernel-smp-fb
%if !%build_80
Prereq: %prereq
%endif
Requires: %requires

%description smp
This package includes a SMP version of the Linux %{kversion} kernel. It is
required only on machines with two or more CPUs, although it should work
fine on single-CPU boxes.

#
# kernel-smp: Symmetric MultiProcessing kernel
#

%package enterprise
Summary: The Linux Kernel compiled with options for Enterprise server usage.
Group: System/Kernel and hardware
Provides: %provides
%if !%build_80
Prereq: %prereq
%endif
Requires: %requires

%description enterprise
This package includes a kernel that has appropriate configuration options
enabled for the typical large enterprise server.  This includes SMP support
for multiple processor machines, support for large memory configurations
and other appropriate items.

#
# kernel-boot: BOOT Kernel
#

%package BOOT
Summary: The Linux Kernel compiled with options for Boot kernel
Group: System/Kernel and hardware

%description BOOT
This package includes a kernel that has appropriate configuration options
enabled for the DrakX install.

%package pcmcia-cs
Summary: The daemon and device drivers for using PCMCIA adapters.
Group: System/Kernel and hardware

%description pcmcia-cs
Many laptop machines (and some non-laptops) support PCMCIA cards for
expansion. Also known as "credit card adapters," PCMCIA cards are small
cards for everything from SCSI support to modems. PCMCIA cards are hot
swappable (i.e., they can be exchanged without rebooting the system) and
quite convenient to use. The kernel-pcmcia-cs package contains a set of
loadable kernel modules that implement an applications program interface,
a set of client drivers for specific cards and a card manager daemon that
can respond to card insertion and removal events by loading and unloading
drivers on demand.  The daemon also supports hot swapping, so that the
cards can be safely inserted and ejected at any time.

Install the kernel-pcmcia-cs package if your system uses PCMCIA cards.

%package source
Requires: kernel-headers = %{KVERREL}, glibc-devel, ncurses-devel, make, gcc
Summary: The source code for the Linux kernel.
Group: Development/Kernel
Obsoletes: alsa-source

%description source
The kernel-source package contains the source code files for the Linux
kernel. These source files are needed to build most C programs, since
they depend on the constants defined in the source code. The source
files can also be used to build a custom kernel that is better tuned to
your particular hardware, if you are so inclined (and you know what you're
doing).

%package headers
Summary: Header files for the Linux kernel. 
Group: Development/Kernel

%description headers
Kernel-headers includes the C header files for the Linux kernel.  The
header files define structures and constants that are needed for building
most standard programs.  The header files are also needed for rebuilding
the kernel.

##########################
# Miscellaneous packages #
##########################

%package -n lm_utils
Summary: Utilities for lm_sensors.
Group: System/Kernel and hardware
Version: %{kversion}_%{lm_sensors_ver}
Url: http://www.lm-sensors.nu

%description -n lm_utils
This package contains a collection of user space tools for general SMBus
access and hardware monitoring. SMBus, also known as System Management Bus,
is a protocol for communicating through a I2C ('I squared C') bus. Many modern
mainboards have a System Management Bus. There are a lot of devices which can
be connected to a SMBus; the most notable are modern memory chips with EEPROM
memories and chips for hardware monitoring.

Most modern mainboards incorporate some form of hardware monitoring chips.
These chips read things like chip temperatures, fan rotation speeds and
voltage levels. There are quite a few different chips which can be used
by mainboard builders for approximately the same results.
p
%package -n lm_utils-devel
Summary: Development libraries and header files for lm_sensors
Group: System/Kernel and hardware
Version: %{kversion}_%{lm_sensors_ver}
Url: http://www.lm-sensors.nu

%description -n lm_utils-devel
Development libraries and header files for lm_sensors.

You might want to use this package while building KDE 2.x, or
for other applications that might take advantage of lm_sensors
if found.

#
# kernel-doc: documentation for the Linux kernel
#
%package doc
Summary: Various documentation bits found in the kernel source.
Group: Development/Kernel

%description doc
This package contains documentation files form the kernel source. Various
bits of information about the Linux kernel and the device drivers shipped
with it are documented in these files. You also might want install this
package if you need a reference to the options that can be passed to Linux
kernel modules at load time.

#
# End packages - here begins build stage
#
%prep
%setup -q -n linux

# Patch party begins now
# Core functionality
%patch1000 -p1
%patch1001 -p1
%patch1002 -p1
%patch1003 -p1
%patch1004 -p1
%patch1005 -p1

%patch10 -p1
%patch12 -p1

%patch14 -p1
%patch15 -p1
%patch17 -p1

%patch18 -p1
%patch20 -p1
%patch24 -p1
%patch26 -p1
%patch30 -p1
%ifarch ppc
%patch523 -p1
%endif
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch35 -p1
%patch37 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1

chmod +x arch/sparc*/kernel/check_asm.sh

%patch303 -p1
%patch304 -p1
%patch305 -p1
%patch306 -p1

%patch29 -p1

#installkernel-a
%patch320 -p1

%patch331 -p1
%patch347 -p1
%patch348 -p1
%patch349 -p1
%patch351 -p1
%patch356 -p1
%patch358 -p1
%patch359 -p1

#neil brown series patches
%patch450 -p1
%patch456 -p1

#LOGO
%patch476 -p1
%patch481 -p1
%patch488 -p1
%patch489 -p1
%patch490 -p1

%patch484 -p1
%patch485 -p1
%patch486 -p1

%patch421 -p1

%patch411 -p1
%patch412 -p1
%patch414 -p1
%patch501 -p1
%patch502 -p1
%patch505 -p1
%patch364 -p1
%patch506 -p1
%patch507 -p1
%patch508 -p1
%patch509 -p1
%patch511 -p1
%patch512 -p1
%patch516 -p1
%patch517 -p1
%patch520 -p1

# Bring the Kernel Module Version Tag program
install -m644 %{SOURCE13} .

# Install bootlogo.
install -m644 %{SOURCE18} Documentation/

# Install supermount doc
install -m 644 %{SOURCE31} Documentation/

# make sure the kernel has the sublevel we know it has...
perl -p -i -e "s/^SUBLEVEL.*/SUBLEVEL = %{sublevel}/" Makefile

%ifarch ppc
%patch524 -p1
%patch526 -p1
%patch530 -p1
%endif

%patch602 -p1

# 3rdparty modules
%patch2000 -p1
%setup -q -n linux/3rdparty -D -T -a100
%setup -q -n linux/3rdparty -D -T -a101
%setup -q -n linux/3rdparty -D -T -a102
%setup -q -n linux/3rdparty -D -T -a103
%setup -q -n linux/3rdparty -D -T -a104
%setup -q -n linux/3rdparty -D -T -a105
%patch2001 -p1
%patch2002 -p1

%setup -q -n linux -D -T

# Patches & fixes & updates
%patch3000 -p1
%patch3001 -p1
%patch3002 -p1
%patch3003 -p1
%patch3004 -p1
%patch3014 -p1
%patch3015 -p1
%patch3016 -p1
%patch3017 -p1
%patch3018 -p1

# New modules inside the kernel tree
%patch4001 -p1
%patch4002 -p1

# Addons to the kernel
# JFS
%patch4005 -p1
%patch4006 -p1

#emu10k1
%patch4007 -p1
%patch503 -p1
%patch504 -p1

#lvs
%patch4008 -p1

#BCM5820 Crypto card drivers
%patch4010 -p1
%patch4011 -p1
%patch4012 -p1
%patch4013 -p1
%patch4014 -p1
%patch4015 -p1
%patch4016 -p1
%patch4017 -p1
%patch4018 -p1
%patch4019 -p1
%patch4020 -p1
%patch4021 -p1
%patch4022 -p1
%patch4023 -p1
%patch4024 -p1
%patch4025 -p1
%patch4026 -p1
%patch4027 -p1
%patch4028 -p1
%patch4029 -p1
%patch4030 -p1
%patch4031 -p1
%patch4032 -p1
%patch4033 -p1
%patch4034 -p1
%patch4035 -p1
%patch4036 -p1

# devfs
%patch4500 -p1
%patch4501 -p1
%patch4502 -p1
%patch4503 -p1

%patch4505 -p1
%patch4506 -p1
%patch4507 -p1
%patch4508 -p1
%patch4509 -p1
%patch4510 -p1
%patch4511 -p1
%patch4512 -p1
%patch4513 -p1
%patch4514 -p1
%patch4515 -p1
%patch4516 -p1
%patch4517 -p1
%patch4518 -p1
%patch4520 -p1
%patch4521 -p1
%patch4522 -p1
%patch4523 -p1
%patch4524 -p1
%patch4525 -p1
%patch4526 -p1
%patch4528 -p1
%patch4529 -p1
%patch4530 -p1
%patch4531 -p1

#IRDA
%patch4550 -p1
%patch4551 -p1
%patch4552 -p1
%patch4553 -p1
%patch4554 -p1
%patch4555 -p1
%patch4556 -p1
%patch4557 -p1

#XFS
%patch4600 -p1
%patch4601 -p1

# alsa
%setup -q -n linux -D -T -a7
pushd %{alsa_name}
%patch5000 -p1
%patch5001 -p1
popd

# pcmcia
%if %build_pcmcia
# fix read-only permissions which break build
%setup -q -n linux -D -T -a1
chmod -R +w pcmcia*
pushd %{pcmcia_name}
%patch150 -p1
%patch151 -p2
%patch152 -p2
%patch153 -p2
%patch154 -p2
%patch155 -p2
%patch156 -p2
%patch157 -p1
%patch158 -p1
%patch159 -p1
%patch160 -p1
%patch162 -p1
%patch164 -p1
%patch165 -p1
%patch166 -p1

%ifarch ppc
%patch529 -p2
%endif
# this file conflicts with 2.4.4-acX
rm include/linux/ibmtr.h
popd
%endif

# i2c
%setup -q -n linux -D -T -a3
pushd %{i2c_name}
perl mkpatch/mkpatch.pl . ../ | patch -d ../ -sp1 -E
popd

# lm_sensors
%setup -q -n linux -D -T -a9
pushd %{lm_sensors_name}
perl mkpatch/mkpatch.pl . ../ | patch -d ../ -sp1 -E
%patch100 -p1
%patch102 -p1
popd

# freeswan
%setup -q -n linux -D -T -a8
# Freeswan configuration
ln -s ../%{freeswan_name}/klips/net/ipsec net/
ln -s ../../../lib net/ipsec/libfreeswan
ln -s ../../../zlib net/ipsec/
ln -s ../../../libdes net/ipsec/
ln -sf Makefile.kernel net/ipsec/libfreeswan/Makefile

%patch401 -p1
pushd %{freeswan_name}
%patch402 -p2
%patch403 -p1
popd

# VLAN
%patch1006 -p1

%if %build_boot
%patch10000 -p1
%endif

# get rid of unwanted files
find . -name '*~' -o -name '*.orig'|xargs rm -f

###
### build
###

%build

# Common target directories
%define _kerneldir /usr/src/linux-%{kversion}
%define _bootdir /boot
%define _modulesdir /lib/modules
%define _savedheaders ../../savedheaders/

# Directories definition needed for building
%define temp_root %{_tmppath}/%{name}-%{kversion}-temp
%define temp_source %{temp_root}%{_kerneldir}
%define temp_boot %{temp_root}%{_bootdir}
%define temp_modules %{temp_root}%{_modulesdir}

OptionChange () {
    type=$1
    feature=$2
    file=arch/%{_arch}/defconfig

    grep -q $feature $file || { echo "no $feature feature" && return 1 ;}
    
    cp -f $file config.tmp
    if [ $type = "disable" ]; then
	echo "Disabling option $feature"
	OPT="CONFIG_$feature" perl -e 'my $a = $ENV{'OPT'}; while (<>) {if (/^$a/) {print "# $a is not defined\n"; next;} print;}' \
	    < config.tmp > $file
    elif [ $type = "enable" ]; then
	echo "Enabling option $feature"
	OPT="CONFIG_$feature" perl -e 'my $a = $ENV{'OPT'}; while (<>) {if (/^#\s+$a/ || /^$a=m/) {print "$a=y\n"; next;} print;}' \
	    < config.tmp > $file
    elif [ $type = "module" ]; then
	echo "Modularize option $feature"
	OPT="CONFIG_$feature" perl -e 'my $a = $ENV{'OPT'}; while (<>) {if (/^#\s+$a/ || /^$a=y/) {print "$a=m\n"; next;} print;}' \
	    < config.tmp > $file
    fi
    rm -f config.tmp
}

OptionEnable() {
   feature=$1
   OptionChange enable $feature $file
}

OptionDisable() {
   feature=$1
   OptionChange disable $feature
}

DependKernel() {
	flavour=$1
	echo "Make dep for kernel $flavour"
	%kmake -s mrproper

	if [ "$flavour" = "enterprise" -o "$flavour" = "BOOT" ]; then
		configname="%{_target_cpu}-$flavour"
	else
		configname="%{_target_cpu}"
	fi

	install -m644 $RPM_SOURCE_DIR/kernel-%{kversion}-$configname.config arch/%{_arch}/defconfig
%if %build_80
	perl -pi -e 	's/CONFIG_DRM_TDFX/CONFIG_DRM40_TDFX/; \
			 s/CONFIG_DRM_GAMMA/CONFIG_DRM40_GAMMA/; \
			 s/CONFIG_DRM_R128/CONFIG_DRM40_R128/; \
			 s/CONFIG_DRM_RADEON/CONFIG_DRM40_RADEON/; \
			 s/CONFIG_DRM_I810/CONFIG_DRM40_I810/; \
			 s/CONFIG_DRM_MGA/CONFIG_DRM40_MGA/' \
		 arch/%{_arch}/defconfig
%endif
	rm -f .config
	if [ "$flavour" = "smp" ]; then
		OptionEnable  SMP
		OptionDisable FBCON_LOGO_BOOT
	elif [ "$flavour" = "up" ]; then
		OptionDisable SMP
		OptionEnable  FBCON_LOGO_BOOT
	fi
	# we only want that for debug kernels

%if %build_80
	OptionDisable DEVFS_FS
	OptionDisable INET_ECN
	OptionDisable DRM_NEW
%endif

%ifarch %{ix86}
%if ! %build_kdb
	OptionDisable DEBUG_SLAB
	OptionDisable KDB
	OptionDisable KALLSYMS
%endif
%endif
	# make sure ETXRAVERSION says what we want it to say
	if [ "$flavour" = "up" ]; then
		ext=""
	else
		ext=$flavour
	fi
	# make sure ETXRAVERSION says what we want it to say
	perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = -%{release}$ext/" Makefile
	%kmake oldconfig
	%kmake dep
}

BuildKernel() {
	KernelVer=$1
	echo "Building kernel $KernelVer"
	
	%ifarch alpha
	%kmake boot
	%endif    

	%ifarch ppc
	%kmake vmlinux
	%endif

	%ifarch %{ix86}
	%kmake bzImage
	%endif

	%kmake modules

	# first make sure we are not loosing any .ver files to make mrporper's
	# removal of zero sized files.
	find include/linux/modules -size 0 | while read file ; do \
		echo > $file
	done

	## Start installing stuff
	install -d %{temp_boot}
	install -m 644 System.map %{temp_boot}/System.map-$KernelVer
	install -m 644 arch/%{_arch}/defconfig %{temp_boot}/config-$KernelVer

	%ifarch alpha
	cp -f arch/alpha/boot/vmlinux.gz %{temp_boot}//vmlinuz-$KernelVer
	%endif
	%ifarch ppc
	cp -f vmlinux %{temp_boot}/vmlinuz-$KernelVer
	%endif
	%ifarch %{ix86}
	cp -f arch/i386/boot/bzImage %{temp_boot}/vmlinuz-$KernelVer
	%endif

	# modules
	install -d %{temp_modules}/$KernelVer
	%kmake INSTALL_MOD_PATH=%{temp_root} KERNELRELEASE=$KernelVer modules_install 
    
	#Identify the modules directory with the Module Version Tag
	%{KCC} $RPM_OPT_FLAGS -o rhkmvtag rhkmvtag.c init/version.o
	./rhkmvtag > %{temp_modules}/$KernelVer/.rhkmvtag
	rm -f rhkmvtag
}

BuildPCMCIA() {
	KernelVer=$1
	# We need this directory created for the files section
	install -d %{temp_modules}/$KernelVer/pcmcia
%if %build_pcmcia
	echo "Building PCMCIA for $KernelVer ..."

	make -C %{pcmcia_name} clean
	pushd %{pcmcia_name}
	./Configure --noprompt \
		--kernel=$RPM_BUILD_DIR/linux \
		--cc=%{KCC} \
		--kcc=%{KCC} \
%ifarch ppc
		--kflags=-DCONFIG_ALL_PPC \
%endif
		--target=%{temp_root} \
		--trust \
		--cardbus \
		--nopnp \
		--srctree \
		--moddir=%{_modulesdir}/$KernelVer \
		--sysv \
		--rcdir=/etc/rc.d
	popd
	perl -pi -e 's|/usr/man|%{_mandir}|' %{pcmcia_name}/man/Makefile
# ppc needs make here, still investigating why
# FIXME
	make -C %{pcmcia_name}/debug-tools/ lspnp
	make -C %{pcmcia_name} all
	make -C %{pcmcia_name} install
	install -m755 %{pcmcia_name}/debug-tools/lspnp %{temp_root}/sbin/lspnp
%endif
}

BuildAlsa() {
	KernelVer=$1
	AlsaRoot=%{temp_modules}/$KernelVer/alsa/
	echo "Building Alsa for $KernelVer"

        pushd %{alsa_name}
        [ -e Makefile.conf ] && make mrproper
	CFLAGS=$FLAGS CC=%{KCC} ./configure --with-kernel=$RPM_BUILD_DIR/linux \
		--with-moddir=$AlsaRoot \
		--with-processor=%{_target_cpu} \
		--with-smp=auto \
		--without-isapnp \
		--with-sequencer=yes \
		--with-oss=yes
	# Fix SMP build
	%make dep
	%make
	install -d $AlsaRoot
        install -m644 modules/*.o $AlsaRoot
	popd
}

SaveHeaders() {
	flavour=$1

	HeadersRoot=%{temp_source}/savedheaders
	HeadersArch=$HeadersRoot/%{_target_cpu}/$flavour
	echo "Saving hearders for $flavour %{_target_cpu}"

	# deal with the kernel headers that are version specific
	install -d $HeadersArch
	install -m 644 include/linux/autoconf.h $HeadersArch/autoconf.h
	install -m 644 include/linux/version.h $HeadersArch/version.h
	mv include/linux/modules $HeadersArch
    	echo "%{_target_cpu} $flavour %{_savedheaders}%{_target_cpu}/$flavour/" >> $HeadersRoot/list
}

CreateKernel() {
	flavour=$1
	if [ "$flavour" = "up" ]; then
		KernelVer=%{KVERREL}
	else
		KernelVer=%{KVERREL}$flavour
	fi
	DependKernel $flavour
	BuildKernel $KernelVer
	BuildPCMCIA $KernelVer
%if !%build_boot
	BuildAlsa $KernelVer
%endif
	SaveHeaders $flavour
}

###
# DO it...
###

# Create a simulacro of %buildroot
rm -rf %{temp_root}
install -d %{temp_root}

%if %build_boot
CreateKernel BOOT
exit 0
%endif

%if %build_smp
CreateKernel smp
%endif

%if %build_enterprise
CreateKernel enterprise
%endif

%if %build_up
CreateKernel up
%endif

# build lm
%kmake -C %{lm_sensors_name}/ \
	PREFIX=%{_prefix} \
	LINUX=../ \
	I2C_HEADERS=../include \
	COMPILE_KERNEL=0 \
	ETCDIR=%{_sysconfdir} \
	MANDIR=%{_mandir}

# We don't make to repeat the depend code at the install phase
DependKernel up

###
### install
###
%install

# Directories definition needed for installing
%define target_source %{buildroot}/%{_kerneldir}
%define target_include %{buildroot}/usr/include
%define target_boot %{buildroot}%{_bootdir}
%define target_modules %{buildroot}%{_modulesdir}

# We want to be able to test several times the install part
rm -rf %{buildroot}
cp -a %{temp_root} %{buildroot}

%if %build_boot
mkdir -p %{buildroot}/sbin
install -m 755 %{pcmcia_name}/cardmgr/cardmgr %{buildroot}/sbin
exit 0
%endif

# Create directories infastructure
install -d %{buildroot}/sbin
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}/%{_mandir}/man{1,5,8}
install -d %{buildroot}%{_libdir}
install -d %{target_source} 
install -d %{target_include}
ln -sf ../src/linux/include/linux %{target_include}/linux

for i in %{target_modules}/*; do
  rm -f $i/build $i/modules.dep $i/modules.pcimap
  ln -sf %{_kerneldir} $i/build
done

# install lm_utils and lm_utils-devel
%kmake -C %{lm_sensors_name}/ \
	PREFIX=%{_prefix} \
	LINUX=../ \
	I2C_HEADERS=../include \
	COMPILE_KERNEL=0 \
	ETCDIR=%{_sysconfdir} \
	MANDIR=%{_mandir} \
	DESTDIR=%{buildroot} \
	install

install -d %{buildroot}%{_initrddir}
install -m 755 %{SOURCE30} %{buildroot}%{_initrddir}/sensors
# End of lm_sensors

tar cf - . | tar xf - -C %{target_source}
ln -sf linux-%{kversion} %{buildroot}/usr/src/linux
install -m 644 %{SOURCE4}  %{target_source}

# generating headers file
ln -s ../src/linux/include/asm-generic %{target_include}/asm-generic
%ifarch sparc
ln -s ../src/linux/include/asm-sparc %{target_include}/asm-sparc
ln -s ../src/linux/include/asm-sparc64 %{target_include}/asm-sparc64
install -d %{target_include}/asm
cp  %{SOURCE14} %{target_source}/include/asm-sparc/BuildASM
%{target_include}/asm-sparc/BuildASM %{target_include}
%else
ln -sf ../src/linux/include/asm %{target_include}/asm
%endif

%if %build_pcmcia
install -d %{buildroot}/etc/pcmcia
install -d %{buildroot}/etc/sysconfig
# Install our own network up/down script
install -m755 %{SOURCE1000} %{buildroot}/etc/pcmcia/network
# We need our own default /etc/sysconfig/pcmcia
install -m755 %{SOURCE1001} %{buildroot}/etc/sysconfig/pcmcia
# We support now isdn pcmcia cards
install -m755 %{SOURCE1002} %{buildroot}/etc/pcmcia/isdn
#clean up the destination
%kmake clean -C %{target_source}/%{pcmcia_name}
rm -f %{target_source}/%{pcmcia_name}/config.out
%endif
%kmake -C %{target_source}/%{alsa_name} mrproper
for i in ainstr_gf1.h  ainstr_iw.h  ainstr_simple.h  asequencer.h  asound.h asoundid.h; do 
		cp -f %{target_source}/%{alsa_name}/include/$i \
				%{target_source}/include/linux/
done
rm -f %{target_source}/%{alsa_name}/include/config.h
rm -f %{target_source}/scripts/ppmtolinuxlogo

# We used to have a copy of DependKernel here
# Now, we make sure that the thing in the linux dir is what we want it to be

# We need to fix the patchs in .*depend files  after we fix the paths
find %{target_source} -name ".*depend" | \
while read file ; do
    mv $file $file.old
    sed -e "s|[^ ]*\(/usr/src/linux\)|\1|g" < $file.old > $file
    rm -f $file.old
done

# Try to put some smarter autoconf.h and version.h and modversions.h files in place
pushd %{target_source}/include/linux ; {
install -m 644 %{SOURCE15} rhconfig.h
rm -rf modules modversions.h autoconf.h version.h
# create modversions.h
cat > modversions.h <<EOF
#ifndef _LINUX_MODVERSIONS_H
#define _LINUX_MODVERSIONS_H
#include <linux/rhconfig.h>
#include <linux/modsetver.h>
EOF
list=`find %{_savedheaders}*/*/modules/*.ver -exec basename '{}' \; | sort -u`
mkdir modules
for l in $list; do
    sed 's,$,modules/'$l, %{_savedheaders}list | awk -f %{SOURCE17} > modules/$l
    touch -r modules/$l modules/`basename $l .ver`.stamp
    echo '#include <linux/modules/'$l'>' >> modversions.h
done
echo '#endif /* _LINUX_MODVERSIONS_H */' >> modversions.h
# Create autoconf.h file
echo '#include <linux/rhconfig.h>' > autoconf.h
sed 's,$,autoconf.h,' %{_savedheaders}list | awk -f %{SOURCE16} >> autoconf.h
# Create version.h
echo "#include <linux/rhconfig.h>" >> version.h
loop_cnt=0
for i in smp enterprise up; do
	if [ -d %{_savedheaders}%{_target_cpu}/$i -a \
	     -f %{_savedheaders}%{_target_cpu}/$i/version.h ]; then
		if [ $loop_cnt = 0 ]; then
      			buf="#if defined(__module__$i)"
      			previous_i="$i"
      			loop_cnt=1
    		else
      			echo "$buf" >> version.h
      			grep UTS_RELEASE %{_savedheaders}%{_target_cpu}/${previous_i}/version.h >> version.h
 	     		buf="#elif defined(__module__$i)"
      			previous_i="$i"
      			loop_cnt=`expr $loop_cnt + 1`
    		fi
    fi
done
#write last lines
if [ $loop_cnt -eq 0 ]; then
	echo "You need to build at least one kernel"
	exit 1;
fi

if [ $loop_cnt -gt 1 ]; then
	echo "#else" >> version.h
fi

grep UTS_RELEASE %{_savedheaders}%{_target_cpu}/${previous_i}/version.h >> version.h

if [ $loop_cnt -gt 1 ]; then
	echo "#endif" >> version.h
fi

# Any of the version.h are ok, as they only differ in the first line
ls %{_savedheaders}%{_target_cpu}/*/version.h | head -1 | xargs grep -v UTS_RELEASE >> version.h
rm -rf %{_savedheaders}
} ; popd
echo "#if 0" > %{target_boot}/kernel.h-%{kversion}

rm -f %{target_include}/linux
install -d %{target_include}/linux
cp -a %{target_source}/include/linux/* %{target_include}/linux/
rm -rf %{target_include}/linux/modules
echo "#error Modules should never use kernel-headers system headers," > %{target_include}/linux/modversions.h
echo "#error but headers from an appropriate kernel-source" >> %{target_include}/linux/modversions.h


# Generating asm headers
rm -f %{target_include}/asm-generic
install -d %{target_include}/asm-generic
cp -a %{target_source}/include/asm-generic/* %{target_include}/asm-generic/
%ifarch sparc
rm -f %{target_include}/asm-sparc
install -d %{target_include}/asm-sparc
cp -a %{target_source}/include/asm-sparc/* %{target_include}/asm-sparc/
rm -f %{target_include}/asm-sparc64
install -d %{target_include}/asm-sparc64
cp -a %{target_source}/include/asm-sparc64/* %{target_include}/asm-sparc64/
%else
rm -f %{target_include}/asm
install -d %{target_include}/asm
cp -a %{target_source}/include/asm/* %{target_include}/asm/
%endif

echo "GZIPPING Modules"
find %{target_modules} -name '*.o'|xargs gzip -9f

###
### clean
###

%clean
rm -rf %{buildroot}
rm -rf %{temp_root} 

###
### scripts
###

# do this for upgrades...in case the old modules get removed we have
# loopback in the kernel so that mkinitrd will work.
%preun
/sbin/modprobe loop 2> /dev/null > /dev/null
rm -f %{_modulesdir}/%{KVERREL}/modules.*
exit 0

%preun smp
/sbin/modprobe loop 2> /dev/null > /dev/null
rm -f %{_modulesdir}/%{KVERREL}smp/modules.*
exit 0

%preun enterprise
/sbin/modprobe loop 2> /dev/null > /dev/null
rm -f %{_modulesdir}/%{KVERREL}enterprise/modules.*
exit 0

%post
cd %{_bootdir}
if [ -x /sbin/installkernel ];then
	      /sbin/installkernel -a -c %{KVERREL}
fi
depmod -a -F %{_bootdir}/System.map-%{KVERREL} %{KVERREL}
%if %build_80
/usr/sbin/supermount -i disable
%endif

%postun
cd %{_bootdir}
if [ -f initrd-%{KVERREL}.img ];then
		rm -f initrd-%{KVERREL}.img
fi

if [ -f /etc/sysconfig/system ];then
		source /etc/sysconfig/system
		if [[ "$CLASS" = "beginner" ]];then
				/sbin/installkernel -a -R -c %{KVERREL}
		fi
fi

%post smp
cd %{_bootdir}
if [ -x /sbin/installkernel ];then
	      /sbin/installkernel -a -c %{KVERREL}smp
fi
depmod -a -F %{_bootdir}/System.map-%{KVERREL}smp %{KVERREL}smp
%if %build_80
/usr/sbin/supermount -i disable
%endif

%postun smp
cd %{_bootdir}
if [ -f initrd-%{KVERREL}smp.img ];then
		rm -f initrd-%{KVERREL}smp.img
fi
if [ -f /etc/sysconfig/system ];then
		source /etc/sysconfig/system
		if [[ "$CLASS" = "beginner" ]];then
				/sbin/installkernel -a -R -c %{KVERREL}smp
		fi
fi

%post enterprise
cd %{_bootdir}
ln -sf config-%{KVERREL}enterprise config
if [ -x /sbin/installkernel ];then
	      /sbin/installkernel -a -c %{KVERREL}enterprise
fi
depmod -a -F %{_bootdir}/System.map-%{KVERREL}enterprise %{KVERREL}enterprise
%if %build_80
/usr/sbin/supermount -i disable
%endif

%postun enterprise
cd %{_bootdir}
if [ -f initrd-%{KVERREL}enterprise.img ];then
		rm -f initrd-%{KVERREL}enterprise.img
fi
if [ -f /etc/sysconfig/system ];then
		source /etc/sysconfig/system
		if [[ "$CLASS" = "beginner" ]];then
				/sbin/installkernel -a -R -c %{KVERREL}enterprise
		fi
fi

%pre headers
[ -L /usr/include/linux ] && rm -f /usr/include/linux
[ -L /usr/include/asm ] && rm -f /usr/include/asm
[ -L /usr/include/asm-generic ] && rm -f /usr/include/asm-generic
exit 0

%post headers
cd %{_bootdir}
rm -f kernel.h
ln -snf kernel.h-%{kversion} kernel.h
/sbin/service kheader start 2>/dev/null >/dev/null || :
exit 0

%postun headers
if [ $1 = 0 ];then
    if [ -L %{_bootdir}/kernel.h -a `ls -l %{_bootdir}/kernel.h 2>/dev/null| awk '{ print $11 }'` = "kernel.h-%{kversion}" ]; then
		rm -f %{_bootdir}/kernel.h
    fi
fi
exit 0

# Old kernel-headers packages owned include symlinks; new
# ones just make them so that we can have multiple kernel-headers
# packages installed.
%triggerpostun headers -- kernel-headers < 2.2.16
cd %{_bootdir}
rm -f kernel.h
ln -snf kernel.h-%{kversion} kernel.h
exit 0

%post source
cd /usr/src
rm -f linux
ln -snf linux-%{kversion} linux
/sbin/service kheader start 2>/dev/null >/dev/null || :

%postun source
if [ -L /usr/src/linux ]; then 
    if [ -L /usr/src/linux -a `ls -l /usr/src/linux 2>/dev/null| awk '{ print $11 }'` = "linux-%{kversion}" ]; then
	[ $1 = 0 ] && rm -f /usr/src/linux
    fi
fi
exit 0

%post pcmcia-cs
/sbin/chkconfig --add pcmcia

%preun pcmcia-cs
if [ $1 = 0 ]; then
    /sbin/chkconfig --del pcmcia
fi
exit 0

%triggerpostun -- kernel-pcmcia-cs < 2.2.5
if [ -f /etc/rc.d/init.d/pcmcia ] ; then
    /sbin/chkconfig --add pcmcia
fi

%post -n lm_utils
/sbin/ldconfig

%postun -n lm_utils
/sbin/ldconfig

###
### file lists
###

%if %build_boot

%files BOOT
%defattr(-,root,root)
/sbin/cardmgr
%{_bootdir}/vmlinuz-%{KVERREL}BOOT   
%{_bootdir}/System.map-%{KVERREL}BOOT
%{_modulesdir}/%{KVERREL}BOOT/kernel
%{_modulesdir}/%{KVERREL}BOOT/pcmcia

%else

%if %build_up
%files
%defattr(-,root,root)
%{_bootdir}/config-%{KVERREL}
%{_bootdir}/vmlinuz-%{KVERREL}
%{_bootdir}/System.map-%{KVERREL}
%dir %{_modulesdir}/%{KVERREL}/
%{_modulesdir}/%{KVERREL}/kernel
%{_modulesdir}/%{KVERREL}/build
%{_modulesdir}/%{KVERREL}/pcmcia
%{_modulesdir}/%{KVERREL}/alsa
%endif

%files -n lm_utils
%defattr(-,root,root)
%doc %{lm_sensors_name}/BACKGROUND
%doc %{lm_sensors_name}/BUGS
%doc %{lm_sensors_name}/CHANGES
%doc %{lm_sensors_name}/CONTRIBUTORS
%doc %{lm_sensors_name}/INSTALL
%doc %{lm_sensors_name}/README
%doc %{lm_sensors_name}/TODO
%doc %{lm_sensors_name}/doc
%config(noreplace) %{_sysconfdir}/sensors.conf
%config(noreplace) %{_initrddir}/sensors
%{_bindir}/sensors
%{_sbindir}/sensors-detect
%{_sbindir}/sensord
%{_libdir}/libsensors.so*
%{_mandir}/man1/sensors.1*
%{_mandir}/man5/sensors.conf.5*
%{_mandir}/man8/sensord.8*

%files -n lm_utils-devel
%defattr(-,root,root)
%{_libdir}/libsensors.a
%{_includedir}/sensors/chips.h
%{_includedir}/sensors/error.h
%{_includedir}/sensors/sensors.h
%{_mandir}/man3/libsensors.3*

%if %build_smp
%files smp
%defattr(-,root,root)
%{_bootdir}/config-%{KVERREL}smp
%{_bootdir}/vmlinuz-%{KVERREL}smp   
%{_bootdir}/System.map-%{KVERREL}smp
%dir %{_modulesdir}/%{KVERREL}smp/
%{_modulesdir}/%{KVERREL}smp/kernel
%{_modulesdir}/%{KVERREL}smp/build
%{_modulesdir}/%{KVERREL}smp/pcmcia
%{_modulesdir}/%{KVERREL}smp/alsa
%endif

%if %build_enterprise
%files enterprise
%defattr(-,root,root)
%{_bootdir}/config-%{KVERREL}enterprise
%{_bootdir}/vmlinuz-%{KVERREL}enterprise
%{_bootdir}/System.map-%{KVERREL}enterprise
%dir %{_modulesdir}/%{KVERREL}enterprise/
%{_modulesdir}/%{KVERREL}enterprise/kernel
%{_modulesdir}/%{KVERREL}enterprise/build
%{_modulesdir}/%{KVERREL}enterprise/pcmcia
%{_modulesdir}/%{KVERREL}enterprise/alsa
%endif

%files source
%defattr(-,root,root)
%dir %{_kerneldir}
%{_kerneldir}/.config
%{_kerneldir}/COPYING
%{_kerneldir}/CREDITS
%{_kerneldir}/Documentation
%{_kerneldir}/MAINTAINERS
%{_kerneldir}/Makefile
%{_kerneldir}/README
%{_kerneldir}/REPORTING-BUGS
%{_kerneldir}/Rules.make
%{_kerneldir}/arch/%{_arch}
%{_kerneldir}/drivers
%{_kerneldir}/fs
%{_kerneldir}/init
%{_kerneldir}/ipc
%{_kerneldir}/kdb
%{_kerneldir}/kernel
%{_kerneldir}/lib
%{_kerneldir}/mm
%{_kerneldir}/net
%{_kerneldir}/scripts
%{_kerneldir}/3rdparty
%{_kerneldir}/%{freeswan_name}
%if %build_pcmcia
%{_kerneldir}/%{pcmcia_name}
%endif
%{_kerneldir}/%{alsa_name}
%{_kerneldir}/include/asm-%{_arch}
%{_kerneldir}/include/asm
%{_kerneldir}/include/asm-generic
%ifarch ppc
%{_kerneldir}/include/asm-m68k
%endif
%{_kerneldir}/include/linux
%{_kerneldir}/include/net
%{_kerneldir}/include/scsi
%{_kerneldir}/include/video
%{_kerneldir}/include/math-emu
%{_kerneldir}/include/pcmcia

%files headers
%defattr(-,root,root)
/usr/include/linux
/usr/include/asm
/usr/include/asm-generic
%ifarch sparc
/usr/include/asm-sparc
/usr/include/asm-sparc64
%endif
%{_bootdir}/kernel.h-%{kversion}


%files doc
%defattr(-,root,root)
%doc Documentation/*

%if %build_pcmcia
%files pcmcia-cs
%defattr(-,root,root)
%doc %{pcmcia_name}/doc/PCMCIA-HOWTO 
%doc %{pcmcia_name}/doc/PCMCIA-PROG
%doc %{pcmcia_name}/CHANGES 
%doc %{pcmcia_name}/COPYING 
%doc %{pcmcia_name}/README
%doc %{pcmcia_name}/SUPPORTED.CARDS 
%attr(755,root,root) /sbin/cardctl
/sbin/cardmgr
/sbin/dump_cis
/sbin/ide_info
/sbin/ftl_check
/sbin/ftl_format
/sbin/ifport
/sbin/ifuser
/sbin/pack_cis
/sbin/pcinitrd
/sbin/lspnp
%ifnarch ppc
/sbin/probe
%endif
/sbin/scsi_info
%{_mandir}/man4/*
%{_mandir}/man5/pcmcia*
%{_mandir}/man5/stab*
%{_mandir}/man8/pcinitrd*
%{_mandir}/man8/ide_info*
%{_mandir}/man8/lspnp*
%{_mandir}/man8/cardctl*
%{_mandir}/man8/cardmgr*
%{_mandir}/man8/scsi_info*
%{_mandir}/man8/setpnp*
%{_mandir}/man8/ifport*
%{_mandir}/man8/pack_cis*
%{_mandir}/man8/ifuser*
%{_mandir}/man8/dump_cis*
%{_mandir}/man8/ftl_check*
%{_mandir}/man8/ftl_format*
%config(noreplace) /etc/rc.d/init.d/pcmcia
%config(noreplace) /etc/sysconfig/pcmcia
%dir /etc/pcmcia
%dir /etc/pcmcia/cis
%config(noreplace) /etc/pcmcia/cis/*
%config(noreplace) /etc/pcmcia/config
%config(noreplace) /etc/pcmcia/config.opts
/etc/pcmcia/ftl
%config(noreplace) /etc/pcmcia/ftl.opts
/etc/pcmcia/ide
%config(noreplace) /etc/pcmcia/ide.opts
/etc/pcmcia/ieee1394
%config(noreplace) /etc/pcmcia/ieee1394.opts
/etc/pcmcia/memory
%config(noreplace) /etc/pcmcia/memory.opts
/etc/pcmcia/network
%config(noreplace) /etc/pcmcia/network.opts
/etc/pcmcia/parport
%config(noreplace) /etc/pcmcia/parport.opts
/etc/pcmcia/scsi
%config(noreplace) /etc/pcmcia/scsi.opts
/etc/pcmcia/serial
%config(noreplace) /etc/pcmcia/serial.opts
%config(noreplace) /etc/pcmcia/shared
/etc/pcmcia/wireless
%config(noreplace) /etc/pcmcia/wireless.opts
%dir /var/lib/pcmcia
%endif

#endif if build_boot
%endif

%changelog
* Sun Sep 23 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.8-26mdk
- new supermount patch, this time fixes the oops.
- stat fixes.

* Sat Sep 22 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.8-25mdk
- new supermount patch.

* Mon Sep 17 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-24mdk
- JFS-1.0.5 (P4005, P4006).
- Register usb core after hid (P4531) (P.Vojtech)
- Rework XFS patch for new supermount fixes (P4600) (juan).
- supermount fixes (a lot of them, this time should work). (P306). (juan)
- updated overflow patch to cope with previous patch (P501). (juan)
- added new stat patch from al viro (P305). (juan)
- this time right 8139too_cb driver (P166). (juan)
- introduced a build_kdb macro. (juan)
- now we use build_kgcc in all the places. (juan)

* Wed Sep 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-23mdk
- Remove sd many option from devfs patch it broke usb-storage (P4502).
- Add bunch of irda fixes (P4550, P4551, P4552, P4552, P4553, P4555,
  P4556, P4557).
- Radeon fixes (P4530) (S.Tweedie).
- PWC usb driver upgrade to 8.2 (P4529).
- Add support for dynamic disks with devfs (P4503) (K.Flemming).
- Pcmcia-Cs-3.1.29 (S1) (Remove: P163).
- NTFS 1.1.19 fixes (P4528).
- Upgrade to latest version of mod_quickcam driver (S102).
- Cleanup spec file of unnused patches.
- rename realtek_cb to 8139too_cb to evict confusions (P166) (juan).
- supermount upgrade (P305) (juan)

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-22mdk
- Fix process reporting crashing sigbus when is sigsev (P4526).
- Fix reparent children in nfsd (P4525) (N.Brown).
- Register the lowlevel ieee1394 driver to the subsystem. (P4524).
- Parse mainboard resources inline to pnp not as pci_device
  objects. (G.Knorr) (P4523).
- New update to latest firewire with number of fixes (P4515).
- Parse /proc/fs/nfs/exports like does /proc/mounts (which allow
  mountpoint with space) (P4522) (N.Brown).
- CONFIG_BLK_DEV_OFFBOARD=y in all .config (civileme).
- lm-sensors 2.6.1 (S9) (Remove: P101).
- Apply official xircom-pgsdb9 patch (P421).
- Fix mmap in emu10k1 driver (P504).
- Remove bits from i810_audio upgrade to make it works with artsd (P4506).
- MCE address reporting fix (P4521) (D.Jones)

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-21mdk
- Add XFS support (P4600, P4601) (R.Cattelan).
- Fix ntfs symbol errors (P4520).

* Thu Sep  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-20mdk
- Apply emu10k1-passthough patch for SMP (P503).
- NTFS upgrade to 1.1.18 (P4520).
- Irda-usb fixes (Adam J Richter) (P4519).
- Axnet pcmcia card fix (P163) (Stefan.Siegle).
- Upgrade updfstab pcmcia patch to call updfstab only when present
  (P160).
- Upgrade ipvs to 0.9.3 (P4008).
- Fix xircom patch (P162) (gc) 
- gdth update to lastest driver (P4517) (juan)
- realtek_cb cardbus driver (P166). (juan).
- Added sam9407 soundcards support (S105) (juan).
- Tulip downgrade to stable drivers (P4518) (juan).
- remove unused kgcc uses. (juan)

* Tue Sep  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-19mdk
- Correct Dell cable detection (A.Cox) (P4516).
- Add another 1885 ident in ac97_codec (A.Cox) (P4506).
- Remove unneeded modules from BOOT kernel (S26).
- Add xircom pcmcia ethernet card (GC) (P162).
- Really add /sbin/cardmgr for kernel-BOOT.

* Mon Sep  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-18mdk
- Added uptodate ext3 code from the ext3 abort-handle-branch
  to handle taking the filesystem offline/readonly on fatal error
  cleanly. (S.Tweedie) (P4019).
- Fix oops in NFS code (A.van de Ven) (P4016).
- Created 'noathlon' DMI blacklist entry for MSI MS-6330 motherboards
  (P4013).
- Fix NFS_STALE handling (T.Myklebust) (P4021).
- NFS reclaim patch that fix nfs going on zombie (H.J Lu) (P4028).
- Improve reiserfs block allocator when free space is low (Namesys)
  (P4035)
- Adds missing call to pathrelse() to error path (Namesys) (P4036).
- Upgrade i810_audio driver to latest 2.4.9-ac6 (P4506).
- Upgrade to latest firewire fixes from cvs. (P4515).
- Emu10k1 driver upgrade to get the ac3/midi sound update (P4007).

* Mon Sep  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-17mdk
- Add support for ide-floppy with devfs (P4510).
- BINFMT Fixes from jakub@redhat.com (P4511).
- fix i386 SMP interrupts that can corrupt registers from
  john.l.byrne@compaq.com (P4512).
- Se401 USB driver update (P4513).
- Rework (P4507) with Se401 update.
- Fix pcilynx pcmcia module with latest firewire (P165).
- Fix scsi removable disk (eg: USB scsi DSC-S30 camera) (P4514).

* Sun Sep  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-16mdk
- Upgrade to 2.4.9-ac4 i810_audio driver (P4505).
- Upgrade to 2.4.9-ac4 ac97_codec (P4506).
- Upgrade to latest USB fixes (kaweth/pegasus/se401/visor/usb-uhci)
  from 2.4.9-ac5 (P4507).
- Upgrade to latest usb-storage (P4508).
- Upgrade to devfs-v191 (P4501).
- Remove HP8200 CDWRITER driver patch (P25).
- Fix eUSB-SmartMedia device (P4509).

* Sat Sep  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-15mdk
- fix for kpnpbios <defunct> (P3017) (juan).
- Wacom updates (P3018) (flepied).
- Remove speedtouch, ppptoatm patches (P521, P518, P519) Rediff (P520)
  (damien).
- JFS-1.0.4 (P4005, P4006).
- Don't use kgcc anymore.

* Fri Aug 31 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.14-14mdk
- used kgcc for compilation.
- changed position of check for kgcc & boot

* Fri Aug 31 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.8-13mdk
- kernel-source don't require egcs anymore :)
- added kdb dir to the source rpm.
- fix pcilynx compilation (P165).
- remove parpot fix(P4020) merged upstream.
- rediff jfs-shared patch (P4005).
- removed kdb patch merdeg upstream (P3009).
- removed massstorage id75 (P522), merged upstream.
- supermount is back (and this time works ro, wait for more news).
- rediff multipath (P40).
- rediff speedtouch (P519).
- sony-clie merged upstream (P420).
- kdb patch to make it compile (P3016).
- updated kdb.
- 2.4.8-ac12.

* Thu Aug 23 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-12mdk
- Upgrade to latest devfs (P4500, P4501).
- added perl script for 80 drm building (giuseppe).

* Wed Aug 22 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-11mdk
- 2.4.8-ac9.

* Tue Aug 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-10mdk
- new version of the psaux fixes (from COL) (P4034).

* Tue Aug 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-9mdk
- Upgrade QLA1280 driver (P17) (remove P23 and adapt P348).
- JFS-1.0.3 (P4005, P4006).

* Tue Aug 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-8mdk
- 2.4.8-ac8.
- Remove (P487).
- Adapt (518).
- Fix Pcmcia Filelist (giuseppe).

* Mon Aug 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-7mdk
- Remove : iport-ethernet patch merged in upstream. (P165).
- Add /etc/pcmcia/cis to the files list of pcmcia.
- Build and ship lspnp utils in pcmcia package.
- RH-Patches:
- Make ext3 log in syslog (P4019).
- Add fixes for parport (P4020).
- Make the maximum init env bigger (P4022).
- Force MPTABLE parsing on defective Intel bioses (P4023).
- Fix elevator hang (P4024).
- Be more strict about the pdcraid signature (P4025).
- Allow VFAT exports over NFS (neilb) (P4026).
- Make the scsi timeout longer (P4027).
- Add ethtool for acenic and eepro (TODO: others mdk/net drivers)
  (P4029).
- Make the kernel shut up when there is no PSAUX keyboard (think usb) (P4030).
- Cramfs fixes (P4031).
- make oom killer less trigger happy (P4032).
- Patch the triplelock (P4033).

* Mon Aug 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-6mdk
- 2.4.8-ac7.
- Adapt (P1001).
- Remove (P4016).
- Add MassWorks ID-75 USB Driver (P522).
- Sym53c8xx fixes from sun (P486).
- USBcore fixes from zaitcev@redhat.com (P487).
- Add USB Sony clie support (P420).
- Upgrade Vlan to 1.4 (P1006).
- Add support for Xircom PGSDB9 (P421).
- Pcmcia-3.1.28.
- Remove (P158, P162, P163).
- Add ibmtr_compilation fix (P158).
- Giuseppe changes :
- fixed kernel-2.4.8-*.config config for 8.0.
- kernel-enterprise with 4GB RAM support instead of 64GB in HIGHMEM
- BuildRequires: libgr1-devel if %%build_80.
- added %dir in %%{_modulesdir}/%%{KVERREL}/ in %%files sections.

* Tue Aug 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-5mdk
- 2.4.8-ac5.
- Copy the cardmgr for install team when kernel BOOT.
- Remove (P4013).
- Adapt (P4018).

* Tue Aug 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-4mdk
- BLK_DEV_FD=y as module it's too much buggy.
- Merge RedHat Patches.
- Compile with gcc and not kgcc if build_boot to reduce the kernel.
- Make APIC error in syslog (P4012).
- Add ATA66 for Servraid (P4013).
- Add more sound_blaster ID (P4014).
- Use PNP_BIOS for parport only if compiled as modules (P4015).
- Add support for National Semiconductor DP8382 Card (P4016).
- Add Iscsi Card support (P4017).
- Add a Config-Small patch that make the kernel less bigger in case of
  BOOT kernel (P4018).

* Tue Aug 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-3mdk
- 2.4.8-ac3.
- Remove new dpt_i2o (P4000).

* Mon Aug 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-2mdk
- 2.4.8-ac2.
- Fix ATM (P485).
- Add id for NEC Picty900 (HP OEM) (USB printer) (P508).
- Fix --with BOOT macros.

* Sun Aug 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.8-1mdk
- 2.4.8-ac1.
- Remove emu10k1-mixer patch (P415).
- Add speedtouch driver fixes (dams) (P521).
- Add config for pcmcia iport ethernet card (P165).

* Fri Aug 10 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-14mdk
- 2.4.7-ac11.
- Upgrade lanstreamer tokernring driver (P3004).
- Upgrade BOOT config (S26).
- supermount -i disable if we are in update mode.

* Thu Aug  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-13mdk
- 2.4.7-ac10.
- Remove drm-update patch (P3004).
- Remove i810-fixes patch (P3005).
- Remove sis-fixes patch (P3006).
- Remove drm-silence (P508).
- Build old drm for if %%build_8 is here.

* Wed Aug  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-12mdk
- 2.4.7-ac9.
- Remove ac7_is_ac8 patch (P2003).

* Tue Aug  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-11mdk
- Add VLAN support (P1006) (Oden).
- Disabled new drm when build_80 enabled (giuseppe).
- Removed BuildRequires: netpbm,libnetpbm when build_80 enabled (giuseppe).
- Fixed a typo in %preun scripts (giuseppe).

* Tue Aug  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-10mdk
- 2.4.7-ac8.
- Remove atyfb-compilation-fix (P3008).
- Adapt jfs-shared patch (P4006).
- Ac8 is ac8 not ac7 (P2003).

* Mon Aug  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-9mdk
- BuildRequires update (stefan).
- New bootlogo from LN (S18).
- Patch for ohci1394_cs for the new ohci update of latest kernel (P164).

* Mon Aug  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-8mdk
- 2.4.7-ac7.
- Add bcm5820 crypto card support from RH (P4010, P4011).
- Fix AtyFB compilation (P3008).
- Add macros %%build_80 to generate update for 8.0 kernel.
- Add macros %%build_boot to generate BOOT kernel.

* Sun Aug  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-7mdk
- 2.4.7-ac6.
- Remove jffs2 fix (P3008).
- Remove floppy-fix (P3010).
- Remove ieee1394-fix (P3011).
- Remove aha152x-fix (P3012).
- Add kernel version just before the boot logo (P490).
- Apply %patch101 before doing mkpatch of lm_sensors (thanks: Andre Duclos).
- Adjust Buildrequires (thanks: Stefan).

* Sat Aug  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-6mdk
- Fix pcmcia network script (s.siegle)(S1000).
- JFS-1.0.2 (P4005, P4006).

* Sat Aug  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-5mdk
- 2.4.7-ac5.
- Adapt multipath patch (P40).

* Fri Aug  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-4mdk
- 2.4.7-ac4.
- Upgrade boot logo from LN (S18).
- Adapt multipath patch (P40).
- Adapt 3rdparty patch (P2000)
- Remove aironet4500-fix patch (P3013)
- Fix EXPORT_SYMTAB conflicts between ipvs patch and ext3 (P3015).
- Adjust Requires.

* Thu Aug  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-3mdk
- Depend of devfsd.
- 2.4.7-ac3.
- Adapt hp8200e patch (P25).
- Adapt speedtouch patch (P519).
- Adapt usbvision patch (P520).

* Wed Aug  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.7-2mdk
- Disable yenta patch.
- Fix rebuild of aic7xx firmware.
- Add JFS integration.

* Tue Jul 31 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.7-1mdk
- aironet4500 compilations fixes.
- axnet_cs compile fixes.
- aha152x fix.
- lots of s/wait_for_completion/wait_completion/ in pcmcia drivers.
- s/wait_for_completion/wait_completion/ in floppy driver.
- added jffs2 fix to use completion.
- disabling reiserfs quota (hangs at boot).
- added patch for detecting yenta socket in 2.4 (from rh) (#161).
- enabled DEVFS support (but not DEVFS_MOUNT), if you want it mounted on boot, use the devfs=mount option.
- updated reiserfs quota patch and applied it again.
- removed viadma patch (#515) as we are not using it for quite some time.
- Removing last vestiges of proc-fs (#600) patch (it wasn't applied).
- made gzip of modules less verbose (yes, I normally read rpm output).
- big pcmcia spec file update (we missed a lot of files).
- added scsimon module.
- added spectrum24t pcmcia driver, but it is quite buggy :(
- bttv update (#482) integrated upstream.
- ac2.
- Added a different fix for pcmcia man pages :(
- Removed the fix for pcmcia man pages.
- kernel-2.4-string (#11) is gone (was accepted upstream).
- fix pcmcia ohci breakage.
- usual update of .configs with new kernel.
- removed a lot of cruft in the version handling of the kernel, %srcversion 
  is now are now %kversion.
- removed spurious x of pcmcia-cs-3.1.27-network script, and while at that 
  check that we have a ifcfg-file for the device before calling the if*.
- added spectrum driver.
- added scsimon patch (#1004);
- Supermount is here again (and ppc shouldn't need additional patches anymore).
- enabled CONFIG_IPSEC_DEBUG in all .config.
- #490 (firewire) integrated upstream.
- sard rediff.
- ide-floppy rediff.
- more changes in the saveheaders thing, this time should be right :(
- ac1.
- 2.4.7.
- removed patch #157 (ibmtr-fix) integrated upstream pcmcia-cs.
- pcmcia-cs 3.1.27.
- s/Copyright/License/ (as everybody else).

* Tue Jul 17 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.6-5mdk
- include asm-generic in headers package.
- more drm re-patching :-(
- usb-printer-fix (#604) applied upstream.
- ac5.

* Sat Jul 14 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.6-4mdk
- update all the configs.
- now 3rdparty modules should be _all_ compiling again.
- cleaning problems with gcc/kgcc in BuildPCMCIA.
- ppc sync (stew).
- patch #3003: Add support for Silicom U2E (Kaweth driver) 
  (Alain Wenmaekers <spicyalan@pandora.be>).
- patch #399 (lm_sensors stuff) is gone (not needed neither alpha nor pcc now).
- syncronize provides/requires/prereq between kernels (and define macros to 
  not lost sync anymore).
- reorganization of saveheaders code (Ural Khassanov <ural@uwc.ufanet.ru), 
  modifide by me.
- du-e100 support (Mathias).
- two less $RPM_SOURCE_DIR in the spec (still no idea how to fix the one 
  which remains.
- more pcmcia rearganization, now there is a %if %build_pcmcia by section.
- reorganise all the addons patches together indicating what package 
  they belog to.
- remove DependKernel code from install phase.

* Tue Jul 10 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.6-3mdk
- a lot of small alsa typos for getting 2.96 able to compile it.V
- create a dir macros and do all the substitutions.
	* _bootdir
	* _modulesdir
- create temp_root variable, now during build, we put everything in 
  $RPM_BUILD_DIR and later we install everything in $RPM_BUILD_ROOT
  (aka %{buildroot}.
- nice trick stolen from rh for defining what kernel compile from the 
  command line
- fix alsa to compile with gcc-2.96.
- cleaning up the uses of kgcc to be able to compile with other compilers.
- make include/linux/version.h is implicit in make dep, removing.
- dc395x_trm now is a 3rdparty module and compiled with gcc-2.96.

* Sat Jul  7 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.6-2mdk
- ac2.
- add 'if build_pcmcia' in a couple places
- do not build patch 399 on alpha, it breaks
- update alpha config
- update other configs for ac2

* Sat Jul  7 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.6-1mdk
- realmode-power-off is gone (together with the compilation option).
- Lots of rediff of patches to put here.
- Disable supermount (need a lot of work to make it work).
- Broadcom BCM5700 is a 3rdparty now.
- removed usb-quiet patch(#601). Merged upstream.
- removed netfilter-cpp patch (#503). Merged upstream.
- removed reisernfs patch (#472). Merged upstream.
- removed raid5readbypass (#454). Merged upstream.
- include include/pcmcia in source package to be able to compile in 
  kernel pcmcia. 
- new kdb patch.
- ac1.
- 2.4.6.
- quickcam is now also a 3rdparty module (and fixes from Andre Duclos).

* Wed Jun 27 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.5-9mdk
- SiS now have drm support.
- lot of drm testing & patchin it should work now.
- enable TMPFS (Jeff request some eons ago).
- new kdb version.
- lm_sensors 2.6.0.
- i2c 2.6.0.
- freeswan 1.91.
- ac18.
- update bttv patch to 0.7.68 (Thierry Vignaud).
- usb-audio-fix (#3002) integrated upstream.
- ac17.

* Fri Jun 22 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.5-8mdk
- Fix i810 drm.

* Thu Jun 21 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.5-7mdk
- redone the netfilter patches (you need to update iptables).
- redone the realmode patch.
- integrate autoconf patch (chmouel).
- integrate kdb.
- fix 3rdparty kernel source support.
- Upgrade dpt-i20 drivers (Viet).
- kawetch fix (chmouel).
- quickam driver update (chmouel).
- e100 update to 1.6.5 (1.6.6 is buggy) and e1000 update.  Now both are using 
  3rdparty module support.
- usb-audio fix (chmouel).
- ac15.

* Sat Jun 16 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.5-6mdk
- nice %setup macro invocations.
- ac14.
- fixes build on SMP (BuildAlsa) (kjx).
- remove lasts vestiges of alsa-beta.
- ppc patches (stew).
- 3rdparty jgarzik patch.

* Wed Jun 13 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.5-5mdk
- bandaid to get new drm to compile.
- drm update for XFree 4.1.0.
- usb printer fix.
- procfs fix patch.
- usbvision patch.
- add support to bcm5700 network card (from Dell merged from rh).
- /lib/modules/<version>/build is back (chmouel request).
- mdkuser xbis gone, now source is back to mdk (chmouel request).
- ac13.

* Mon Jun 11 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.5-4mdk
- disable 
- disable SUPERIO support (Jeff& Tim advice).
- renable OSB4.
- remove osb dangerous message, if Andre says it is safe, we trust on him.
- apm option real-mode-poweroff has been adopted upstream as realmode.
  Adapt the patch and print a warning if you are using the old option.
- ac12.
- redone all .configs.
- ppc updates (stew).
- make symlinks is gone (make oldconfig implies it).
- /lib/modules/<verions>/build link is gone as:
	a) it should be in the source package
	b) it doen't make sense since we compile several kernels from the 
           same source.
- now is possible to compile only one kernel (smp, up or enterprise).
- visor-palm pilot incorporated in new kernel.
- ac9.
- ac8.

* Mon Jun  4 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.5-3mdk
- new Cris Evan NFS patches.
- ac7.
- removed define for the update.

* Sat Jun  2 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.5-2mdk
- s/mkdir -p/install -d/ make SPEC file much more coherent.
- mandrake rpm build procces does the strip of binaries, we don't need to 
  do them (Andre Duclos).
- include all Andre DUCLOS patches.
- include_target, modules_target, boot_target also around.
- create kernel_dir /usr/src/linux-%{kversion} and
         source_target %{buildroot}%{kernel_dir}  and use all over the place.
- s/$BUILD_RPM_ROOT/%{buildroot}/g.
- OSB4 disabled (it can corrupt data).
- use alsa-0.5.10b for the update, 0.5.11 for cooker.
- Big merge with ppc kernel (sorry stew for taking so long).
- Big change in Configure.help, that means 4 patches redone.
- ac6.

* Thu May 31 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.5-1mdk
- new daily freeswan snapshot (and several changes with that).
- ac5.
- Support for palm m5* for the visor patch.
- ide-cd fix (discussed with maintainer and will be incorporated in 
  next upstream patch).
- alsa, pcmcia and freeswan drivers don't exist anymore.
- lm_sensors: sensord patch (DUCLOS Andre <shirka@wanadoo.fr>).
- redone the SPEC file to be able to compile only smp, enterprise or up.
- including math-emu dir in source (jeff request)
- the bug was indeed in supermount (a spurious &).
- finding the bug fooling the bug sequence (I find the bug, arjan & viro did the patch). 
- wacom driver in ac2 is newer than our (removed patch).
- ac4 is out.
- less neil brown fixes.
- parport messages are out now.
- ac2.
- 2.4.5.

* Fri May 25 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.4-7mdk
- hga fix accepted upstream.
- remove usbdevfs-fix-mount-options parse (merged upstream).
- rediff wacom patch.
- rediff supermount patch.
- rediff speedtooch patch.
- ac17.
- update (again) the netfilter-addons patch as author recomendation.
- added patch for fealnx patch (bug jeff for it) (and later acepted upstream and removed).
- nobody else that me saw that version (as it didn't boot ....)

* Wed May 23 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.4-6mdk
- due to the lm_sensors change, redo again all the .config files.
- Macros in spec for updates(chmouel).
- Fix lm_sensors generation patch (DUCLOS Andre <shirka@wanadoo.fr>).
- update all the .config files.
- irc netfilter add-on is back (regenerated with last netfilter).
- fix alsa source packages naming (pointed by Chmouel).
	
* Tue May 22 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.4-5mdk
- 2.4.4-ac14.
- remove binfmt patch added in 4mdk, it is now in ac14.

* Tue May 22 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.4-4mdk
- bin_fmnt symbol problem (J Magallon).
- More merges of new Neil Brown patches.
- now parport messages should be right.
- serctorresync patch integrated in ac11 (#452).
- alsa-drivers 0.5.11.
- ac12.

* Mon May 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.4-3mdk
- Really fix the usbdevfs mount as user (and let the /proc don't crash).
- add libgr1-progs buildreq deps (jgarzik).

* Mon May 21 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.4-2mdk
- fix the make modules bug.
- linux-logo hga fb fix.
- ppc patches (2nd round) by stew.
- Neil Brown patches update.
	* mderror is included in ac.
- usb-uhci (patch #42) removed, better fix in ac.
- IDE_CD is compiled in the kenel again (I need to change first mkinitrd).
- We don't depend of rdev anymore as  we don't use it in the kernel rpm
  (not having that requeriment make ppc people happier).
- ac11.

* Tue May  8 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.4-1mdk
- ECN enabled & requires initscripts 5.83 for that reason.
- 2.4.4-ac9.
- removed ips patch (we had version 0.50 and alan integrated 0.78).
- created lm-ultils-devel subpacage (Oden.eriksson).
- Removed acpi (as we was not using it anyways)
- Big CleanUp of the Spec File.
- Now pcmcia-network get the right source file.
- /etc/sysconfig/pcmcia is a source file also.
- aic7xxx 6.1.13 is merged in ac9.
- merged ppc patches (some tweaking) by sbenedict.
- integrate usbvision support (patch #475).
- pcmcia-cs 2.1.26.
- integrate endian-reiserfs patch with 2.4.
- make ibmtr pcmcia driver to compile.
- enable ACENIC on alpha.
- remove psaux mouse workaround (it is working well here now).
- I don't remind all the things that I have changed.

* Mon May  7 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.3-27mdk
- redone the aic7xxx 6.1.13 patch completely.

* Sat May  5 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.3-26mdk
- fixes ./network resume eth0 (pcmcia).
- aic7xxx 6.1.13.

* Thu May  3 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.3-25mdk
- ide-cd returns to be a module.
- psaux driver return to wait 500 seconds.

* Mon Apr 30 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.3-24mdk
- Remove Neil Brown NFS patches.
- Introduce Chris Evans reiser NFS patches.
- now the parport messages are not in console by default (aka. Winbond xxxx)
  (this time I included the patch).
- psaux problem should be solved (thanks to Chmouel) for thinkpad's and the 
  old problem at the same time.
- Remove Neil Brown calltrace patch (it was ix86 only anyway, and of no use 
  for end users).
- Did the keyboard timeout handling less verbose (aka your shiny new 
  computer with keyboard & mouse USB don't give you AT keyboard warnings :)
- Undo ECN.

* Sat Apr 28 2001 Stefan van der Eijk <stefan@eijk.nu> 2.4.3-23mdk
- updated alpha .spec file --> CONFIG_ACENIC is not set.

* Wed Apr 25 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.3-22mdk
- ac13.

* Mon Apr 23 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.3-21mdk
- ac9^H10^H11.
- remove aic7xxx driver update (is in ac9).
- new NFSD patches from Neil Brown.
- reiserfs >4GB should work now.
- cleanup of enterprise and normal-kernels .config, now they are quite similar.
- cleanup specfile (requires libgr1-devel and no more yacc & db *)
- entreprise kernel is only for x86. Stefan van der Eijk.
- update alpha .config.
- now the parport messages are not in console by default (aka. Winbond xxxx).

* Sun Apr 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-20mdk
- Make supermount handle new FS_SINGLE type of filesystem.
- Make supermount works with rename files.
- Rework nologo patch to be active only when CONFIG_FB is set.

* Fri Apr 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-19mdk
- usbdevfs, fix mount with owner and gid.

* Fri Apr 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-18mdk
- Add ppptoe-pptoa patch for modem over ATM (matt).
- Add USB speedtouch drivers. (matt).
- Remove natsemi patch it's already fixed in an other form.
- Really apply the aic7xx upgrade.

* Thu Apr 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-17mdk
- Disable my netdebug patches since it doen't do anything.
- Disable CONFIG_APM_DISPLAY_BLANK.
- Fix compilation with rnfs nfsops when NFSD=n
- CONFIG_DEBUG_BUGVERBOSE is off.
- Merge with rh patches:
- fix an off by one error that results in memory overwrites
- Silence PS/2 code (no keyboard there if there is a USB keyboard)
- Make drm error sysloged and not printkconsoled.
- panic on oom during boot
- fix netgear fa31x boards powerstate
- Add mulipath-fixes from Ingo Molnar
- make scanning of sparselun devices work again
- advice as Dangerous the ServerWorks OSB4 chipset
- disabled dma66 for all via IDE chipsets to don't run in problems.
- Add USB message throttling
- fix printk in scsci messages

* Wed Apr 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-16mdk
- Don't do any link creation installkernel does it for us.
- Dependences of up at the last end of dependences system.

* Wed Apr 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-15mdk
- Add special enterprise kernel with 64Gb support Apic etc...
- Really make active ATM modules.

* Tue Apr 10 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-14mdk
- Redo complete dependences configuration to be able to recompile
  drivers between kernel (mainly inspired by the Red Hat work).
- Revert to -ac3 the 8139too as request by jeff.
- Don't depend on any ppm files.
- 2.4.3-ac4.
- Active ATM.
- iostat incremental no need anymore (by default in 99)

* Tue Apr 10 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.3-13mdk
- Add Ingo's ext2 corruption fix.

* Mon Apr  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-12mdk
- Upgrade to the latest cvs of firewire to get it works.

* Mon Apr  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-11mdk
- fix pcmcia again :p.
- fix kgcc call (prumph).

* Sat Apr  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-10mdk
- Add ln -sf /boot/config-version to /boot/config in %post.
- When inserting pcmcia module don't insmod module.o or module.o.gz
  just insmod module.
- Add option nologo to disable the logo display at boot.
- Launch pcmcia scrpt early before the network.

* Sat Apr  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-9mdk
- Fix logo in high resolution and leave some boot kernel message.

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-8mdk
- bttv upgrade to 0.7.62.

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-7mdk
- 2.4.3-ac3.
- Fix wait on psaux port (prumph).

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-6mdk
- Fix a SMP race (Ben Lahaise).
- Add MODULE_DEVICE_TABLE in some USB modules for USB detection (prumph).
- Add .config in /boot/config-version
- IPSEC-1.9.

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-5mdk
- Disable NETDEBUG.
- set CONFIG_IPV6_EUI64 CONFIG_IPV6_NO_PB

* Tue Apr  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-4mdk
- Upgrade of olympus token ring card.
- Provides Alsa also for kernel-smp.
- Add new mdk boot logo (and boot logo patches).
- Don't do SMP by default.
- CONFIG_LP_CONSOLE broke printer and useless disable it.
- Disable IP_AUTOCONFIGURATION (useless and slow the boot).
- Define CONFIG_PIIX_TUNING.
- Make IDEFLOPPY into the kernel and not as modules.
- Unactive CMS_FS filesystem (too beta).
- Active CONFIG_NCPFS_PACKET_SIGNING and CONFIG_NCPFS_STRONG.

* Mon Apr  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-3mdk
- Add support for gazel hisax R753 (Mattias).
- Remove %doc README to avoid conflicts when doing rpm -i

* Mon Apr  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-2mdk
- Add logiteck quickcam usb drivers.

* Mon Apr  2 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.3-1mdk
- 2.4.3.
- 2.4.3-q1 (aka 2.4.3-ac1 if Juan Quintela were Alan Cox).
- Updated to aic7xxx 6.1.8.
- Hacking the numbering to have to hack "only one place".

* Sun Apr  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-25mdk
- Reiserfs Quota disabled seems to make problems with rfs.

* Sun Apr  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-24mdk
- Merge latest neil brown patches.

* Sun Apr  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-23mdk
- Upgrade alpha config files (stefen).
- kernel-ource and BuildRequires: byacc.
- Update wacom usb drivers from fredl.
- Merge Red Hat patches.
- Fix alpha includes.
- Fix qla driver.
- Upgrade ide-floppy
- Upgrade to the latest ipvs patch
- Remove timer of the qla driver
- Skip broken mp table
- HP8200 CDWRITER driver
- Fix i2o lockup
- Add IRC netfilter addon.
- Move some printk to some LEVEL of errors.
- Don't printk when	polling CDROMs for disk change
- Add scci reset support
- Up some pcmcia delay.
- Adding a fix for usb-uhci to work when SLAB is not aligned
- Add alternate airo devices drivers
- Fix atp max units.
- Add an iotcl to block sector for ia64.
- Fix ext2 info errors.
- define DK_MAX_MAJOR to 64
- Revert some bogus changes to lp-parport.
- Add multipath for raid.
- Fix pge Config.in description
- Add sard profiling patch

* Thu Mar 29 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-22mdk
- Updated to ac28

* Thu Mar 29 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-21mdk
- Updated to ac25^H6^H7.
- Removed linux-2.4.1-ac3-es1371-new-ids.patch.bz2.

* Wed Mar 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-20mdk
- Define tone control in emu10k1 mixer.
- Fixes supermount to ally ejecting -EBUSY device.


* Tue Mar 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-19mdk
- Active Bigmem by default.
- Apply/adapt quota patch for reiserfs.
- Merge Suse Patches.
- Add progress indication when decompressing ramdisk
- Fix Config files with CONFIG_X86_RUNTIME_FXSR
- Add TIOCGDEV ioctl
- Make APM_REAL_MODE_POWER_OFF as option (at boot) not at compilte
  time option.

* Sun Mar 18 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.2-18mdk
- Fix overwite of Alpha fix patch from 2.4.2-15mdk.

* Fri Mar 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-17mdk
- Requires last initscripts.
- Add options -r to installkernel (to clean entry) if we are in
  beginner mode in /etc/sysconfig/system.

* Fri Mar 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-16mdk
- Make lm_sensors don't depend of libs.
- Upgrade dpt-i20 drivers (Viet).

* Wed Mar 14 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-15mdk
- Apply a fix to filesystem corruption in VIA chipsets.

* Wed Mar 14 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-14mdk
- The never released version

* Tue Mar 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-13mdk
- 2.4.2-ac20.
- Add wireless-pcmcia patch from rh.
- Fix pcmcia when modules is gzipped.
- Don't be SMP by default.

* Mon Mar 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-12mdk
- Update alpha config (jeff).
- 2.4.2-ac19.
- Pcmcia-3.1.25.
- Readd ipsec.

* Sun Mar 11 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.2-11mdk
- update alpha config
- fix alpha build

* Sun Mar 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-10mdk
- Remove aicasm binary generated.
- Remove initrd.img after uninstalling package.
- 2.4.2-ac18.

* Fri Mar  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-9mdk
- Fix atyfb as modules.
- (Build)Requires: flex, db3-devel, bison for kernel-source.
- Requires: modutils last version that support gz modules.
- 2.4.2-ac16.

* Thu Mar  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-8mdk
- Gzip modules.
- Fix pcmcia and aacraid..
- Upgrade to the last aacraid (and fix it ac13 among all others scsci
  patches).
- 2.4.2-ac14.
- Don't set IO-APCI on non SMP kernel (break PIV for example).

* Mon Mar 05 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-7mdk
- Making sure that non-SMP kernels are not SMP.
- Alan Cox patch 2.4.2-ac11-fixed.
- Spec cleanup.
- .config cleanup:
- Use APIC also now on uniprocessor.
- 	use E820.

* Wed Mar 03 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-6mdk
- Merged last neil patches.

* Wed Mar 03 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-5mdk
- Alan Cox patch 2.4.2-ac10.
- SPEC cleanup.
- New megaraid patch is ac kernel.

* Wed Feb 28 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.2-4mdk
- Alan Cox patch 2.4.2-ac6.

* Tue Feb 27 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.2-3mdk
- Alan Cox patch 2.4.2-ac5.
- Temporarily disable usb scanner update, patch breaks.
- Update i586 and alpha configs for new ac patch.

* Mon Feb 26 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-2mdk
- Fix sublevel.

* Sun Feb 25 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.2-1mdk
- Linux 2.4.2 release.
- Alan Cox patch 2.4.2-ac4.
- Update x86 and alpha configs.
- Remove loop fixes, already in newest 'ac' kernel.
- Temporarily disable ide-floppy, patch breaks.
- Temporarily disable ipsec, patch breaks.

* Wed Feb 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-22mdk
- 2.4.1-ac20.

* Tue Feb 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-21mdk
- Add ipsec 20001115 snapshot version (for 2.4.x kernel we need a snap).
- alsa-0.5.10b.

* Tue Feb 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-20mdk
- Add fixes from Red Hat for the loop problems.

* Tue Feb 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-19mdk
- Add support for COMET accton cards in tulip drivers (Jeff).
- Merge Neil-Brown nfs patches :
- Do permission checking for IRIX accessing special devices properly.
- Provide an "nfsd_operations" interface between knfsd and each filesystem.
- Add support for knfsd in reiserfs.
- isofs support for nfsd_operations.
- knfsd support for ufs.
- nfsd support for efs.
- Change raid resync code to work in sectors, not blocks.
- Make sure all raid5 IO requests are properly aligned.
- Modify the wdelay handling.
- Bypass stripe cache for reads.
- Disable the reboot notifier.
- Provide call trace in /proc/X/status.
- Use sector number of b_blocknr is raid1 bufferes.
- Return slightly more meaningful geometry for raid arrays.
- Change args of md_error to be mddev_t instead of kdev_t.

* Tue Feb 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-18mdk
- 2.4.1-ac19.

* Sun Feb 18 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 2.4.1-17mdk
- 2.4.1-ac18
- updated alpha .config

* Sat Feb 17 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-16mdk
- 2.4.1-ac17.
- requires egcs and egcs-cpp to build the kernel source (due to
  problems with gcc-2.96).

* Fri Feb 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-15mdk
- 2.4.1-ac15.

* Thu Feb 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-14mdk
- 2.4.1-ac13.

* Wed Feb 14 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.1-13mdk
- Removes ksymoops from the kernel package
- Comment wvlan patch as we are not using kernel pcmcia
- Fix modutils version check

* Tue Feb 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-12mdk
- 2.4.1-ac12.

* Tue Feb 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-11mdk
- 2.4.1-ac11.

* Tue Feb 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-10mdk
- 2.4.1-ac10.
- Oden Eriksson <oden.eriksson@kvikkjokk.net>:
	* added TechWell TW98 i2c driver support, patch 504.

* Sat Feb 10 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 2.4.1-9mdk
- 2.4.1-ac8
- add patch for lm_sensors prob with perm.h (alpha)

* Fri Feb  9 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 2.4.1-8mdk
- 2.4.1-ac7
- moved patch 362 into the pcmcia section

* Thu Feb  8 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.1-7mdk
- update alpha config

* Wed Feb  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-6mdk
- 2.4.1-ac6.

* Wed Feb  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-5mdk
- make oldconfig && make dep before shipping kernel-source.
- Upgrade loop patch from jens axboe.
- Add alternatives Lucen Wavelan wireless support.
- Fix bad udelay with wavelan.
- Add aacraid drivers.
- Raid force to use SSE xor block to be able to write around L2.
- Fix assertion of kiobuf to map to user.
- Fix IRDA assertion.
- Add e810 Acpi proc information (not activated by default since we
  don't use ACPI).
- Add e1000 drivers.
- Upgrade e100 drivers.
- Desactive Devfs.
- Add 3c90x drivers.
- 2.4.1-ac4.
- pcmcia-3.1.24.

* Mon Feb  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-4mdk
- Upgrade qlogic drivers to 2.19.15.
- Upgrade swap limit to 32.
- Upgrade megaraid drivers.
- Add intel100 network drivers.
- Upgrade ips.
- Upgrade idetape.
- Add new ids for es1371 cards.
- Add dpt_i2o support.
- Add dc395 update.

* Mon Feb  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-3mdk
- 2.4.1-ac3.

* Mon Feb  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-2mdk
- fix the version field.

* Mon Feb 05 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-1mdk.
- 2.4.1-ac2.

* Sun Jan 28 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-12mdk
- Add loop fixes from jens axboe.
- Add patch from rh (emu10k1 fixes, overflow check, noghighmemdebug,
  netfilter cpp fixes).

* Sat Jan 27 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.0-11mdk
- Update alpha config

* Sat Jan 27 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-10mdk
- 2.4.0-ac12.

* Thu Jan 25 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-9mdk
- Make pcmcia config files as noreplace.
- Upgrade ide-floppy for ac11 (author).
- Really apply LVM fixes.

* Wed Jan 24 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-8mdk
- LVM proc fixes from andrea

* Wed Jan 24 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-7mdk
- Alsa-0.5.10b.
- Remove reiserfs-utils.
- 2.4.0-ac11.

* Tue Jan 23 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-6mdk
- Add upgrade of ide-floppy drivers.
- Add rivatv lm_sensors support (oden).
- Add lm_sensors package in the source (and generate the patch from
  package) (oden)
- really integrating ksymoops-2.4.0 (oden.eriksson@kvikkjokk.net).
- Upgrade usb scanner.
- Remove all modules.*
- Add NFSv3 Patches.

* Mon Jan 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-5mdk
- Upgrade smctr from ac series to get the bad_udelay symbol fixed.
- Supermount upgrade.

* Fri Jan 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-4mdk
- Reorganise spec files.
- ksymoops-2.4.0.

* Fri Jan 12 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.0-3mdk
- Update alpha config

* Tue Jan  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-2mdk
- Pcmcia-3.1.23.
- Alsa-0.5.10a.

* Tue Jan 09 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-1mdk
- 2.4.0
- Reiserf 3.6.25

* Wed Dec 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.15mdk
- Don't be SMP by default (jeff don't do titi-ries :p).
- Reiserfs-3.6.23.
- Reactive Reiserfs since i got it worked with supermount.

* Thu Dec 14 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.0-0.14mdk
- update .configs for i586 and alpha

* Tue Dec 12 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.0-0.13mdk
- 2.4.0-test12-final
- build on alpha
- 2.4.x does not require dev86

* Sat Dec  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.12mdk
- Add patches to fix initrd from aviro/linus.

* Fri Dec  8 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.11mdk
- Add support for Alpha from Jeff Garzik <jgarzik@mandrakesoft.com>
  and Stefan.

* Thu Dec  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.10mdk
- Make installkernel doing a -a when doing make install of sources.
- Disable pcilynx until get it fixed.
- alsa-0.5.10.

* Thu Dec  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.9mdk
- test12-pre7.

* Wed Dec  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.8mdk
- test12-pre6.
- Upgraded description.
- Disable reiserfs until get updated writepage patch (fix supermount
  BTW: but it's an another problem).

* Tue Dec  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.7mdk
- Add reiserfs (&bigmem unset).
- test12-pre5.

* Mon Dec  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.6mdk
- Really add pcmcia includes.
- Remove /home/chmou references.
- test12-pre3.
- Add supermount.
- Really remove devfsd depends.

* Sun Nov 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.5mdk
- Regenerates lm_sensors patches from cvs (112200).
- Include include/pcmcia in the source (thnks: C.Gennerat).
- remove devfsd dependences.

* Sun Nov 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.4mdk
- BuildRequires: egcs if enabling kgcc.
- Don't copy all configs file from RPM_SOURCES_DIR to configs/ copy
  one and the generated one.
- set CONFIG_BLK_DEV_OFFBOARD.
- unset CONFIG_INET_ECN.
- Don't update acpi (doen't build at the moment).
- test11(final).

* Sun Nov 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.3mdk
- copy the default mandrake config to defconfig before shipping.
- Remove patch200 (include with ksymoops2.3.5.)
- ksmoops 2.3.5.
- Last acpi.

* Thu Nov 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.2mdk
- mrproper the source before shipping.
- fix depmod.
- don't strip the vmlinuz.

* Tue Nov 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.1mdk
- First version to move on kernel-2.4.0 based on hackkernel. (aka: god
  pray for all of us).
